<?php
    
    namespace artbox\catalog\controllers;

    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionGroupSearch;
    use artbox\catalog\models\ProductOptionGroupCompl;
    use artbox\catalog\models\ProductOptionGroupComplSearch;
    use yii\filters\AccessControl;

    /**
     * ProductOptionGroupComplController implements the CRUD actions for ProductOptionGroupCompl model.
     */
    class ProductOptionGroupComplController extends OptionGroupController
    {
        /**
         * @inheritdoc
         */
        public function getViewPath()
        {
            return '@artbox/catalog/views/product-option-group-compl';
        }
        public function behaviors()
        {
            return [
                'access' => [
                    'class' => AccessControl::className(),
                    'rules' => [
                        [
                            'actions' => [
                                'login',
                                'error',
                            ],
                            'allow'   => true,
                        ],
                        [
                            'allow' => true,
                            'roles' => [ '@' ],
                        ],
                    ],
                ],
            ];
        }
        /**
         * @inheritdoc
         */
        protected function createModel(): OptionGroup
        {
            return new ProductOptionGroupCompl();
        }
        
        /**
         * @inheritdoc
         */
        protected function createSearchModel(): OptionGroupSearch
        {
            return new ProductOptionGroupComplSearch();
        }
        
        /**
         * @inheritdoc
         */
        protected function findOne($id)
        {
            return ProductOptionGroupCompl::findOne($id);
        }
    }
