<?php
    
    namespace artbox\catalog\controllers;

    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionGroupSearch;
    use artbox\catalog\models\ProductOptionGroupExcl;
    use artbox\catalog\models\ProductOptionGroupExclSearch;
    use yii\filters\AccessControl;
    
    /**
     * ProductOptionGroupExclController implements the CRUD actions for ProductOptionGroupExcl model.
     */
    class ProductOptionGroupExclController extends OptionGroupController
    {
        /**
         * @inheritdoc
         */
        public function getViewPath()
        {
            return '@artbox/catalog/views/product-option-group-excl';
        }
        public function behaviors()
        {
            return [
                'access' => [
                    'class' => AccessControl::className(),
                    'rules' => [
                        [
                            'actions' => [
                                'login',
                                'error',
                            ],
                            'allow'   => true,
                        ],
                        [
                            'allow' => true,
                            'roles' => [ '@' ],
                        ],
                    ],
                ],
            ];
        }
    
        /**
         * @inheritdoc
         */
        protected function createModel(): OptionGroup
        {
            return new ProductOptionGroupExcl();
        }
    
        /**
         * @inheritdoc
         */
        protected function createSearchModel(): OptionGroupSearch
        {
            return new ProductOptionGroupExclSearch();
        }
    
        /**
         * @inheritdoc
         */
        protected function findOne($id)
        {
            return ProductOptionGroupExcl::findOne($id);
        }
    }
