<?php
    
    namespace artbox\catalog\controllers;

    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionGroupSearch;
    use artbox\catalog\models\VariantOptionGroupCompl;
    use artbox\catalog\models\VariantOptionGroupComplSearch;
    use yii\filters\AccessControl;
    
    /**
     * VariantOptionGroupComplController implements the CRUD actions for VariantOptionGroupCompl model.
     */
    class VariantOptionGroupComplController extends OptionGroupController
    {
        /**
         * @inheritdoc
         */
        public function getViewPath()
        {
            return '@artbox/catalog/views/variant-option-group-compl';
        }
        public function behaviors()
        {
            return [
                'access' => [
                    'class' => AccessControl::className(),
                    'rules' => [
                        [
                            'actions' => [
                                'login',
                                'error',
                            ],
                            'allow'   => true,
                        ],
                        [
                            'allow' => true,
                            'roles' => [ '@' ],
                        ],
                    ],
                ],
            ];
        }
    
        /**
         * @inheritdoc
         */
        protected function createModel(): OptionGroup
        {
            return new VariantOptionGroupCompl();
        }
    
        /**
         * @inheritdoc
         */
        protected function createSearchModel(): OptionGroupSearch
        {
            return new VariantOptionGroupComplSearch();
        }
    
        /**
         * @inheritdoc
         */
        protected function findOne($id)
        {
            return VariantOptionGroupCompl::findOne($id);
        }
    }
