<?php
    
    namespace artbox\catalog\controllers;

    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionGroupSearch;
    use artbox\catalog\models\VariantOptionGroupExcl;
    use artbox\catalog\models\VariantOptionGroupExclSearch;
    use yii\filters\AccessControl;
    
    /**
     * VariantOptionGroupExclController implements the CRUD actions for VariantOptionGroupExcl model.
     */
    class VariantOptionGroupExclController extends OptionGroupController
    {
        /**
         * @inheritdoc
         */
        public function getViewPath()
        {
            return '@artbox/catalog/views/variant-option-group-excl';
        }
        public function behaviors()
        {
            return [
                'access' => [
                    'class' => AccessControl::className(),
                    'rules' => [
                        [
                            'actions' => [
                                'login',
                                'error',
                            ],
                            'allow'   => true,
                        ],
                        [
                            'allow' => true,
                            'roles' => [ '@' ],
                        ],
                    ],
                ],
            ];
        }
    
        /**
         * @inheritdoc
         */
        protected function createModel(): OptionGroup
        {
            return new VariantOptionGroupExcl();
        }
    
        /**
         * @inheritdoc
         */
        protected function createSearchModel(): OptionGroupSearch
        {
            return new VariantOptionGroupExclSearch();
        }
    
        /**
         * @inheritdoc
         */
        protected function findOne($id)
        {
            return VariantOptionGroupExcl::findOne($id);
        }
    }
