<?php
    
    use yii\db\Migration;
    
    class m170405_000001_brand extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'brand',
                [
                    'id'         => $this->primaryKey(),
                    'image_id'   => $this->integer(),
                    'sort'       => $this->integer()
                                         ->defaultValue(0),
                    'status'     => $this->boolean()
                                         ->defaultValue(true),
                    'created_at' => $this->integer(),
                    'updated_at' => $this->integer(),
                ]
            );
            
            $this->addForeignKey(
                'brand_image_id_to_image_manager_fk',
                'brand',
                'image_id',
                'ImageManager',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'brand_image_id_to_image_manager_fk',
                'brand'
            );
            $this->dropTable('brand');
        }
    }
