<?php
    
    use yii\db\Migration;
    
    class m170405_000003_product extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product',
                [
                    'id'         => $this->primaryKey(),
                    'brand_id'   => $this->integer(),
                    'video'      => $this->text(),
                    'mask'       => $this->integer(),
                    'status'     => $this->boolean()
                                         ->defaultValue(true),
                    'sort'       => $this->integer()
                                         ->defaultValue(0),
                    'created_at' => $this->integer(),
                    'updated_at' => $this->integer(),
                ]
            );
            
            $this->addForeignKey(
                'product_brand_id_to_brand_fk',
                'product',
                'brand_id',
                'brand',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_brand_id_to_brand_fk',
                'product'
            );
            $this->dropTable('product');
        }
    }
