<?php
    
    use yii\db\Migration;
    
    class m170405_000006_category_lang extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'category_lang',
                [
                    'category_id' => $this->integer(32)
                                          ->notNull(),
                    'language_id' => $this->integer(32)
                                          ->notNull(),
                    'title'       => $this->string(255)
                                          ->notNull(),
                    'alias_id'    => $this->integer(),
                    'description' => $this->text(),
                ]
            );
            $this->createIndex('category_lang_alias_id', 'category_lang', 'alias_id', true);
            $this->addPrimaryKey(
                'category_lang_pk',
                'category_lang',
                [
                    'category_id',
                    'language_id',
                ]
            );
            $this->addForeignKey(
                'category_lang_category_id_to_category_fk',
                'category_lang',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'category_lang_language_id_to_language_fk',
                'category_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->addForeignKey(
                'category_lang_alias_id_to_alias_fk',
                'category_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'category_lang_alias_id_to_alias_fk',
                'category_lang'
            );
            $this->dropForeignKey(
                'category_lang_language_id_to_language_fk',
                'category_lang'
            );
            $this->dropForeignKey(
                'category_lang_category_id_to_category_fk',
                'category_lang'
            );
            $this->dropIndex('category_lang_alias_id', 'category_lang');
            $this->dropTable('category_lang');
        }
    }
