<?php
    
    use yii\db\Migration;
    
    class m170405_000008_product_to_image extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_to_image',
                [
                    'product_id' => $this->integer()
                                         ->notNull(),
                    'image_id'   => $this->integer()
                                         ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_to_image_pk',
                'product_to_image',
                [
                    'product_id',
                    'image_id',
                ]
            );
            
            $this->addForeignKey(
                'product_to_image_product_id_to_product_fk',
                'product_to_image',
                'product_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_to_image_image_id_to_image_manager_fk',
                'product_to_image',
                'image_id',
                'ImageManager',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_to_image_product_id_to_product_fk',
                'product_to_image'
            );
            $this->dropForeignKey(
                'product_to_image_image_id_to_image_manager_fk',
                'product_to_image'
            );
            $this->dropTable('product_to_image');
        }
    }
