<?php
    
    use yii\db\Migration;
    
    class m170405_000020_product_option_compl extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_option_compl',
                [
                    'id'                            => $this->primaryKey(),
                    'product_option_group_compl_id' => $this->integer()
                                                            ->notNull(),
                    'image_id'                      => $this->integer(),
                    'sort'                          => $this->integer()
                                                            ->defaultValue(0),
                    'status'                        => $this->boolean()
                                                            ->defaultValue(true),
                    'created_at'                    => $this->integer(),
                    'updated_at'                    => $this->integer(),
                ]
            );
            
            $this->addForeignKey(
                'product_option_compl_product_option_group_compl_id_to_product_option_group_compl_fk',
                'product_option_compl',
                'product_option_group_compl_id',
                'product_option_group_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_option_compl_product_option_group_compl_id_to_product_option_group_compl_fk',
                'product_option_compl'
            );
            $this->dropTable('product_option_compl');
        }
    }
