<?php
    
    use yii\db\Migration;
    
    class m170405_000028_product_to_product_option_compl extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_to_product_option_compl',
                [
                    'product_id'              => $this->integer()
                                                      ->notNull(),
                    'product_option_compl_id' => $this->integer()
                                                      ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_to_product_option_compl_pk',
                'product_to_product_option_compl',
                [
                    'product_id',
                    'product_option_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'product_to_product_option_compl_product_id_to_product_fk',
                'product_to_product_option_compl',
                'product_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_to_product_option_compl_product_to_product_option_compl_id_to_category_fk',
                'product_to_product_option_compl',
                'product_option_compl_id',
                'product_option_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_to_product_option_compl_product_id_to_product_fk',
                'product_to_product_option_compl'
            );
            $this->dropForeignKey(
                'product_to_product_option_compl_product_to_product_option_compl_id_to_category_fk',
                'product_to_product_option_compl'
            );
            $this->dropTable('product_to_product_option_compl');
        }
    }
