<?php
    
    use yii\db\Migration;
    
    class m170405_000029_product_to_product_option_excl extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'product_to_product_option_excl',
                [
                    'product_id'             => $this->integer()
                                                     ->notNull(),
                    'product_option_excl_id' => $this->integer()
                                                     ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_to_product_option_excl_pk',
                'product_to_product_option_excl',
                [
                    'product_id',
                    'product_option_excl_id',
                ]
            );
            
            $this->addForeignKey(
                'product_to_product_option_excl_product_id_to_product_fk',
                'product_to_product_option_excl',
                'product_id',
                'product',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_to_product_option_excl_product_to_product_option_excl_id_to_category_fk',
                'product_to_product_option_excl',
                'product_option_excl_id',
                'product_option_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'product_to_product_option_excl_product_id_to_product_fk',
                'product_to_product_option_excl'
            );
            $this->dropForeignKey(
                'product_to_product_option_excl_product_to_product_option_excl_id_to_category_fk',
                'product_to_product_option_excl'
            );
            $this->dropTable('product_to_product_option_excl');
        }
    }
