<?php
    
    use yii\db\Migration;
    
    class m170405_000030_variant_to_variant_option_compl extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'variant_to_variant_option_compl',
                [
                    'variant_id'              => $this->integer()
                                                      ->notNull(),
                    'variant_option_compl_id' => $this->integer()
                                                      ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_to_variant_option_compl_pk',
                'variant_to_variant_option_compl',
                [
                    'variant_id',
                    'variant_option_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_to_variant_option_compl_variant_id_to_variant_fk',
                'variant_to_variant_option_compl',
                'variant_id',
                'variant',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_to_variant_option_compl_variant_to_variant_option_compl_id_to_category_fk',
                'variant_to_variant_option_compl',
                'variant_option_compl_id',
                'variant_option_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'variant_to_variant_option_compl_variant_id_to_variant_fk',
                'variant_to_variant_option_compl'
            );
            $this->dropForeignKey(
                'variant_to_variant_option_compl_variant_to_variant_option_compl_id_to_category_fk',
                'variant_to_variant_option_compl'
            );
            $this->dropTable('variant_to_variant_option_compl');
        }
    }
