<?php
    
    use yii\db\Migration;
    
    class m170405_000034_variant_option_compl_to_category extends Migration
    {
        public function safeUp()
        {
            $this->createTable(
                'variant_option_compl_to_category',
                [
                    'category_id'             => $this->integer()
                                                      ->notNull(),
                    'variant_option_compl_id' => $this->integer()
                                                      ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_option_compl_to_category_pk',
                'variant_option_compl_to_category',
                [
                    'category_id',
                    'variant_option_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_option_compl_to_category_category_id_to_category_fk',
                'variant_option_compl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_option_compl_to_category_variant_option_compl_id_to_variant_option_compl_fk',
                'variant_option_compl_to_category',
                'variant_option_compl_id',
                'variant_option_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey(
                'variant_option_compl_to_category_category_id_to_category_fk',
                'variant_option_compl_to_category'
            );
            $this->dropForeignKey(
                'variant_option_compl_to_category_variant_option_compl_id_to_variant_option_compl_fk',
                'variant_option_compl_to_category'
            );
            $this->dropTable('variant_option_compl_to_category');
        }
    }
