<?php
    
    use yii\db\Migration;
    
    class m170410_090534_change_category_link_from_option_to_group extends Migration
    {
        public function safeUp()
        {
            $this->dropTable('product_option_compl_to_category');
            $this->dropTable('product_option_excl_to_category');
            $this->dropTable('variant_option_compl_to_category');
            $this->dropTable('variant_option_excl_to_category');
            
            $this->createTable(
                'product_option_group_compl_to_category',
                [
                    'product_option_group_compl_id' => $this->integer()
                                                            ->notNull(),
                    'category_id'                   => $this->integer()
                                                            ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_option_group_compl_to_category_pk',
                'product_option_group_compl_to_category',
                [
                    'category_id',
                    'product_option_group_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'product_option_group_compl_to_category_category_id_to_category_fk',
                'product_option_group_compl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_option_group_compl_to_category_product_option_group_compl_id_to_product_option_compl_fk',
                'product_option_group_compl_to_category',
                'product_option_group_compl_id',
                'product_option_group_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->createTable(
                'product_option_group_excl_to_category',
                [
                    'product_option_group_excl_id' => $this->integer()
                                                           ->notNull(),
                    'category_id'                  => $this->integer()
                                                           ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_option_group_excl_to_category_pk',
                'product_option_group_excl_to_category',
                [
                    'category_id',
                    'product_option_group_excl_id',
                ]
            );
            
            $this->addForeignKey(
                'product_option_group_excl_to_category_category_id_to_category_fk',
                'product_option_group_excl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_option_group_excl_to_category_product_option_group_excl_id_to_product_option_excl_fk',
                'product_option_group_excl_to_category',
                'product_option_group_excl_id',
                'product_option_group_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->createTable(
                'variant_option_group_compl_to_category',
                [
                    'variant_option_group_compl_id' => $this->integer()
                                                            ->notNull(),
                    'category_id'                   => $this->integer()
                                                            ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_option_group_compl_to_category_pk',
                'variant_option_group_compl_to_category',
                [
                    'category_id',
                    'variant_option_group_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_option_group_compl_to_category_category_id_to_category_fk',
                'variant_option_group_compl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_option_group_compl_to_category_variant_option_group_compl_id_to_variant_option_compl_fk',
                'variant_option_group_compl_to_category',
                'variant_option_group_compl_id',
                'variant_option_group_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->createTable(
                'variant_option_group_excl_to_category',
                [
                    'variant_option_group_excl_id' => $this->integer()
                                                           ->notNull(),
                    'category_id'                  => $this->integer()
                                                           ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_option_group_excl_to_category_pk',
                'variant_option_group_excl_to_category',
                [
                    'category_id',
                    'variant_option_group_excl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_option_group_excl_to_category_category_id_to_category_fk',
                'variant_option_group_excl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_option_group_excl_to_category_variant_option_group_excl_id_to_variant_option_excl_fk',
                'variant_option_group_excl_to_category',
                'variant_option_group_excl_id',
                'variant_option_group_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropTable('product_option_group_compl_to_category');
            
            $this->dropTable('product_option_group_excl_to_category');
            
            $this->dropTable('variant_option_group_compl_to_category');
            
            $this->dropTable('variant_option_group_excl_to_category');
            
            $this->createTable(
                'product_option_compl_to_category',
                [
                    'category_id'             => $this->integer()
                                                      ->notNull(),
                    'product_option_compl_id' => $this->integer()
                                                      ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_option_compl_to_category_pk',
                'product_option_compl_to_category',
                [
                    'category_id',
                    'product_option_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'product_option_compl_to_category_category_id_to_category_fk',
                'product_option_compl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_option_compl_to_category_product_option_compl_id_to_product_option_compl_fk',
                'product_option_compl_to_category',
                'product_option_compl_id',
                'product_option_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->createTable(
                'product_option_excl_to_category',
                [
                    'category_id'            => $this->integer()
                                                     ->notNull(),
                    'product_option_excl_id' => $this->integer()
                                                     ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'product_option_excl_to_category_pk',
                'product_option_excl_to_category',
                [
                    'category_id',
                    'product_option_excl_id',
                ]
            );
            
            $this->addForeignKey(
                'product_option_excl_to_category_category_id_to_category_fk',
                'product_option_excl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'product_option_excl_to_category_product_option_excl_id_to_product_option_excl_fk',
                'product_option_excl_to_category',
                'product_option_excl_id',
                'product_option_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->createTable(
                'variant_option_compl_to_category',
                [
                    'category_id'             => $this->integer()
                                                      ->notNull(),
                    'variant_option_compl_id' => $this->integer()
                                                      ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_option_compl_to_category_pk',
                'variant_option_compl_to_category',
                [
                    'category_id',
                    'variant_option_compl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_option_compl_to_category_category_id_to_category_fk',
                'variant_option_compl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_option_compl_to_category_variant_option_compl_id_to_variant_option_compl_fk',
                'variant_option_compl_to_category',
                'variant_option_compl_id',
                'variant_option_compl',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->createTable(
                'variant_option_excl_to_category',
                [
                    'category_id'            => $this->integer()
                                                     ->notNull(),
                    'variant_option_excl_id' => $this->integer()
                                                     ->notNull(),
                ]
            );
            
            $this->addPrimaryKey(
                'variant_option_excl_to_category_pk',
                'variant_option_excl_to_category',
                [
                    'category_id',
                    'variant_option_excl_id',
                ]
            );
            
            $this->addForeignKey(
                'variant_option_excl_to_category_category_id_to_category_fk',
                'variant_option_excl_to_category',
                'category_id',
                'category',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'variant_option_excl_to_category_variant_option_excl_id_to_variant_option_excl_fk',
                'variant_option_excl_to_category',
                'variant_option_excl_id',
                'variant_option_excl',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
    }
