<?php
    
    namespace artbox\catalog\models;
    
    use yii\base\Model;
    use yii\data\ActiveDataProvider;

    /**
     * CategorySearch represents the model behind the search form about `backend\models\Category`.
     */
    class CategorySearch extends Category
    {
        public $title;
        
        public function behaviors()
        {
            return [];
        }
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'id',
                        'image_id',
                        'level',
                        'sort',
                        'created_at',
                        'updated_at',
                    ],
                    'integer',
                ],
                [
                    [ 'status' ],
                    'boolean',
                ],
                [
                    [
                        'title',
                    ],
                    'string',
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         *
         * @return ActiveDataProvider
         */
        public function search($params)
        {
            $query = Category::find()
                             ->joinWith([ 'lang' ]);
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'         => $this->id,
                    'level'      => $this->level,
                    'sort'       => $this->sort,
                    'status'     => $this->status,
                    'created_at' => $this->created_at,
                    'updated_at' => $this->updated_at,
                ]
            )
                  ->andFilterWhere(
                      [
                          'like',
                          'category_lang.title',
                          $this->title,
                      ]
                  );
    
            return $dataProvider;
        }
    }
