<?php
    
    namespace artbox\catalog\models;
    
    use artbox\core\models\Alias;
    use artbox\core\models\Language;
    use Yii;
    use yii\db\ActiveRecord;
    
    /**
     * This is the abstract model class for table Option Group Language models.
     *
     * @property integer  $language_id
     * @property string   $title
     * @property integer  $alias_id
     * @property string   $description
     *
     * @property Alias    $alias
     * @property Language $language
     */
    abstract class OptionGroupLang extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'title',
                    ],
                    'required',
                ],
                [
                    [ 'description' ],
                    'string',
                ],
                [
                    [
                        'title',
                        'aliasValue',
                    ],
                    'string',
                    'max' => 255,
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'language_id' => Yii::t('catalog', 'Language ID'),
                'title'       => Yii::t('catalog', 'Title'),
                'alias_id'    => Yii::t('catalog', 'Alias ID'),
                'description' => Yii::t('catalog', 'Description'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getAlias()
        {
            return $this->hasOne(Alias::className(), [ 'id' => 'alias_id' ]);
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getLanguage()
        {
            return $this->hasOne(Language::className(), [ 'id' => 'language_id' ]);
        }
    }
