<?php
    
    namespace artbox\catalog\models;

    use yii\db\ActiveQuery;

    /**
     * ProductOptionExclSearch represents the model behind the search form about
     * `artbox\catalog\models\ProductOptionExcl`.
     */
    class ProductOptionExclSearch extends OptionSearch
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return ProductOptionExcl::tableName();
        }
    
        /**
         * @inheritdoc
         */
        public function search($params, $group)
        {
            $dataProvider = parent::search($params, $group);
            $dataProvider->query->andWhere(
                [
                    'product_option_group_excl_id' => $group->id,
                ]
            );
            $dataProvider->query->andFilterWhere(
                [
                    'ilike',
                    'product_option_excl_lang.value',
                    $this->value,
                ]
            );
            $dataProvider->sort = [
                'attributes' => [
                    'id',
                    'value' => [
                        'asc'  => [ 'product_option_excl_lang.value' => SORT_ASC ],
                        'desc' => [ 'product_option_excl_lang.value' => SORT_DESC ],
                    ],
                    'created_at',
                    'is_filter',
                    'status',
                    'sort',
                ],
            ];
            return $dataProvider;
        }
        
        /**
         * Return ActiveQuery for current model
         *
         * @return \yii\db\ActiveQuery
         */
        protected function createQuery(): ActiveQuery
        {
            return ProductOptionExcl::find();
        }
    }
