<?php
    
    namespace artbox\catalog\models;

    use yii\db\ActiveQuery;
    
    /**
     * ProductOptionGroupComplSearch represents the model behind the search form about
     * `artbox\catalog\models\ProductOptionGroupCompl`.
     */
    class ProductOptionGroupComplSearch extends OptionGroupSearch
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return ProductOptionGroupCompl::tableName();
        }
        
        /**
         * @inheritdoc
         */
        public function search($params)
        {
            $dataProvider = parent::search($params);
            $dataProvider->query->andFilterWhere(
                [
                    'ilike',
                    'product_option_group_compl_lang.title',
                    $this->title,
                ]
            );
            $dataProvider->sort = [
                'attributes' => [
                    'id',
                    'title' => [
                        'asc'  => [ 'product_option_group_compl_lang.title' => SORT_ASC ],
                        'desc' => [ 'product_option_group_compl_lang.title' => SORT_DESC ],
                    ],
                    'created_at',
                    'is_filter',
                    'status',
                    'sort',
                ],
            ];
            return $dataProvider;
        }
        
        /**
         * Return ActiveQueyr for current model
         *
         * @return \yii\db\ActiveQuery
         */
        protected function createQuery(): ActiveQuery
        {
            return ProductOptionGroupCompl::find();
        }
    }
