<?php
    
    namespace artbox\catalog\models;

    use artbox\core\behaviors\SlugBehavior;
    
    /**
     * This is the model class for table "variant_option_compl_lang".
     *
     * @property integer            $variant_option_compl_id
     *
     * @property VariantOptionCompl $variantOptionCompl
     */
    class VariantOptionComplLang extends OptionLang
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_option_compl_lang';
        }
    
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [
                'slug' => [
                    'class'       => SlugBehavior::className(),
                    'inAttribute' => 'value',
                    'action'      => 'variant-option-complementary/view',
                    'params'      => [
                        'id' => 'variant_option_compl_id',
                    ],
                    'fields'      => [
                        'title'       => \Yii::t('catalog', 'Option title'),
                        'description' => \Yii::t('catalog', 'Option description'),
                    ],
                ],
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionCompl()
        {
            return $this->hasOne(VariantOptionCompl::className(), [ 'id' => 'variant_option_compl_id' ])
                        ->inverseOf('variantOptionComplLangs');
        }
    }
