<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "variant_option_excl_to_category".
     *
     * @property integer           $category_id
     * @property integer           $variant_option_excl_id
     *
     * @property Category          $category
     * @property VariantOptionExcl $variantOptionExcl
     */
    class VariantOptionExclToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_option_excl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'category_id',
                        'variant_option_excl_id',
                    ],
                    'required',
                ],
                [
                    [
                        'category_id',
                        'variant_option_excl_id',
                    ],
                    'integer',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'variant_option_excl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => VariantOptionExcl::className(),
                    'targetAttribute' => [ 'variant_option_excl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'category_id'            => Yii::t('catalog', 'Category ID'),
                'variant_option_excl_id' => Yii::t('catalog', 'Variant Option Excl ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('variantOptionExclToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionExcl()
        {
            return $this->hasOne(VariantOptionExcl::className(), [ 'id' => 'variant_option_excl_id' ])
                        ->inverseOf('variantOptionExclToCategories');
        }
    }
