<?php
    
    namespace artbox\catalog\models;

    use artbox\core\behaviors\SlugBehavior;
    
    /**
     * This is the model class for table "variant_option_group_excl_lang".
     *
     * @property integer                $variant_option_group_excl_id
     *
     * @property VariantOptionGroupExcl $variantOptionGroupExcl
     */
    class VariantOptionGroupExclLang extends OptionGroupLang
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_option_group_excl_lang';
        }
    
        /**
         * @inheritdoc
         */
        public function behaviors()
        {
            return [
                'slug' => [
                    'class'  => SlugBehavior::className(),
                    'action' => 'variant-option-group-excl/view',
                    'params' => [
                        'id' => 'variant_option_group_excl_id',
                    ],
                    'fields' => [
                        'title'       => \Yii::t('catalog', 'Option group title'),
                        'description' => \Yii::t('catalog', 'Option group description'),
                    ],
                ],
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionGroupExcl()
        {
            return $this->hasOne(VariantOptionGroupExcl::className(), [ 'id' => 'variant_option_group_excl_id' ])
                        ->inverseOf('variantOptionGroupExclLangs');
        }
    }
