<?php
    
    namespace artbox\catalog\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "variant_option_group_excl_to_category".
     *
     * @property integer                $variant_option_group_excl_id
     * @property integer                $category_id
     *
     * @property Category               $category
     * @property VariantOptionGroupExcl $variantOptionGroupExcl
     */
    class VariantOptionGroupExclToCategory extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'variant_option_group_excl_to_category';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'variant_option_group_excl_id',
                        'category_id',
                    ],
                    'required',
                ],
                [
                    [
                        'variant_option_group_excl_id',
                        'category_id',
                    ],
                    'integer',
                ],
                [
                    [ 'category_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => Category::className(),
                    'targetAttribute' => [ 'category_id' => 'id' ],
                ],
                [
                    [ 'variant_option_group_excl_id' ],
                    'exist',
                    'skipOnError'     => true,
                    'targetClass'     => VariantOptionGroupExcl::className(),
                    'targetAttribute' => [ 'variant_option_group_excl_id' => 'id' ],
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'variant_option_group_excl_id' => Yii::t('catalog', 'Variant Option Group Excl ID'),
                'category_id'                  => Yii::t('catalog', 'Category ID'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getCategory()
        {
            return $this->hasOne(Category::className(), [ 'id' => 'category_id' ])
                        ->inverseOf('variantOptionGroupExclToCategories');
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getVariantOptionGroupExcl()
        {
            return $this->hasOne(VariantOptionGroupExcl::className(), [ 'id' => 'variant_option_group_excl_id' ])
                        ->inverseOf('variantOptionGroupExclToCategories');
        }
    }
