<?php
    
    namespace artbox\catalog\models\queries;
    
    use artbox\catalog\models\Product;
    use artbox\catalog\models\traits\BitmaskTrait;
    use yii\db\ActiveQuery;
    
    /**
     * This is the ActiveQuery class for [[Category]].
     *
     * @see Product
     */
    class CategoryQuery extends ActiveQuery
    {
        
        use BitmaskTrait;
        
        /**
         * @return \artbox\catalog\models\queries\CategoryQuery
         */
        public function active()
        {
            /**
             * @var \artbox\catalog\models\queries\CategoryQuery $query
             */
            $query = $this->andWhere(
                [
                    'status' => true,
                ]
            );
            return $query;
        }
        
        /**
         * @inheritdoc
         * @return Product[]|array
         */
        public function all($db = null)
        {
            return parent::all($db);
        }
        
        /**
         * @inheritdoc
         * @return Product|array|null
         */
        public function one($db = null)
        {
            return parent::one($db);
        }
    }
