<?php
    
    use artbox\catalog\models\Brand;
    use artbox\catalog\models\BrandLang;
    use artbox\core\components\imagemanager\components\ImageManagerInputWidget;
    use artbox\core\widgets\LanguageForm;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var BrandLang[] $modelLangs
     * @var Brand       $model
     * @var ActiveForm  $form
     * @var View        $this
     */
?>

<div class="brand-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= $form->field($model, 'image_id')
             ->widget(
                 ImageManagerInputWidget::className(),
                 [
                     'showPreview' => true,
                 ]
             ) ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@artbox/catalog/views/brand/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'sort')
             ->textInput() ?>
    
    <?= $form->field($model, 'status')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('catalog', 'Create') : Yii::t('catalog', 'Update'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
