<?php
    
    use artbox\catalog\models\Product;
    use artbox\catalog\models\ProductLang;
    use artbox\catalog\models\ProductOptionGroupCompl;
    use artbox\catalog\models\ProductOptionGroupExcl;
    use yii\bootstrap\Tabs;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var ProductLang[]             $modelLangs
     * @var Product                   $model
     * @var ActiveForm                $form
     * @var View                      $this
     * @var ProductOptionGroupCompl[] $groups_compl
     * @var ProductOptionGroupExcl[]  $groups_excl
     */
?>

<div class="product-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?php
        echo Tabs::widget(
            [
                'items'   => [
                    [
                        'label'   => \Yii::t('catalog', 'Common'),
                        'content' => $this->render(
                            '_form_common',
                            [
                                'form'       => $form,
                                'model'      => $model,
                                'modelLangs' => $modelLangs,
                            ]
                        ),
                    ],
                    [
                        'label'         => \Yii::t('catalog', 'Options'),
                        'content'       => $this->render(
                            '_form_options',
                            [
                                'form'         => $form,
                                'model'        => $model,
                                'modelLangs'   => $modelLangs,
                                'groups_compl' => $groups_compl,
                                'groups_excl'  => $groups_excl,
                            ]
                        ),
                        'headerOptions' => [
                            'class'               => ( empty( $groups_compl ) && empty( $groups_excl ) ) ? 'disabled' : '',
                            'data-toggle'         => ( empty( $groups_compl ) && empty( $groups_excl ) ) ? 'tooltip' : '',
                            'data-placement'      => ( empty( $groups_compl ) && empty( $groups_excl ) ) ? 'top' : '',
                            'data-original-title' => ( empty( $groups_compl ) && empty( $groups_excl ) ) ? \Yii::t(
                                'catalog',
                                'Product must not be new and have categories with option groups'
                            ) : '',
                        ],
                    ],
                    [
                        'label'   => \Yii::t('catalog', 'Gallery'),
                        'content' => $this->render(
                            '_gallery',
                            [
                                'form'  => $form,
                                'model' => $model,
                            ]
                        ),
                    ],
                ],
                'options' => [
                    'class' => 'bar_tabs',
                ],
            ]
        );
    ?>
    
    <div class="form-group">
        <?= Html::submitButton(
            $model->isNewRecord ? Yii::t('catalog', 'Create') : Yii::t('catalog', 'Update'),
            [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
        ) ?>
    </div>
    
    <?php ActiveForm::end(); ?>

</div>
