<?php
    
    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\OptionGroupLang;
    use yii\helpers\Html;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var OptionGroupLang[] $modelLangs
     * @var OptionGroup       $model
     * @var View              $this
     */
    
    $this->title = Yii::t('catalog', 'Create Option Group');
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Option Groups'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="option-group-create">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
