<?php
    
    use artbox\catalog\models\Product;
    use artbox\catalog\models\ProductLang;
    use yii\helpers\Html;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var ProductLang $modelLangs
     * @var Product     $model
     * @var View        $this
     */
    $this->title = Yii::t(
            'catalog',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Option Group',
            ]
        ) . $model->lang->title;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Option Groups'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->lang->title,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('catalog', 'Update');
?>
<div class="product-update">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'modelLangs' => $modelLangs,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
