<?php
    
    use artbox\catalog\models\Product;
    use artbox\catalog\models\Variant;
    use artbox\catalog\models\VariantLang;
    use artbox\catalog\models\VariantOptionGroupCompl;
    use artbox\catalog\models\VariantOptionGroupExcl;
    use yii\helpers\Html;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var VariantLang[]             $modelLangs
     * @var Variant                   $model
     * @var Product                   $product
     * @var View                      $this
     * @var VariantOptionGroupCompl[] $groups_compl
     * @var VariantOptionGroupExcl[]  $groups_excl
     * @var \artbox\stock\models\Shop $shops;
     */
    $this->title = Yii::t(
        'catalog',
        'Create Variant for {product_title}',
        [
            'product_title' => $product->lang->title,
        ]
    );
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Products'),
        'url'   => [
            '/product/index',
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $product->lang->title,
        'url'   => [
            '/product/view',
            'id' => $product->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Variants'),
        'url'   => [
            'index',
            'product_id' => $product->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="variant-create">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'        => $model,
            'modelLangs'   => $modelLangs,
            'groups_compl' => $groups_compl,
            'groups_excl'  => $groups_excl,
            'shops'        => $shops,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
