<?php
    
    use artbox\catalog\models\Variant;
    use artbox\catalog\models\VariantLang;
    use artbox\catalog\models\VariantOptionGroupCompl;
    use artbox\catalog\models\VariantOptionGroupExcl;
    use yii\helpers\Html;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var VariantLang               $modelLangs
     * @var Variant                   $model
     * @var View                      $this
     * @var VariantOptionGroupCompl[] $groups_compl
     * @var VariantOptionGroupExcl[]  $groups_excl
     */
    $this->title = Yii::t(
            'catalog',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Variant',
            ]
        ) . $model->lang->title;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Products'),
        'url'   => [
            '/product/index',
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->product->lang->title,
        'url'   => [
            '/product/view',
            'id' => $model->product_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Variants'),
        'url'   => [
            'index',
            'product_id' => $model->product_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->lang->title,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('catalog', 'Update');
?>
<div class="variant-update">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'        => $model,
            'modelLangs'   => $modelLangs,
            'groups_compl' => $groups_compl,
            'groups_excl'  => $groups_excl,
            'shops'        => $shops,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
