<?php
    
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    use yiister\gentelella\widgets\Panel;
    
    /* @var $this yii\web\View */
    /* @var $model artbox\catalog\models\Variant */
    
    $this->title = $model->lang->title;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Products'),
        'url'   => [
            '/product/index',
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->product->lang->title,
        'url'   => [
            '/product/view',
            'id' => $model->product_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('catalog', 'Variants'),
        'url'   => [
            'index',
            'product_id' => $model->product_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="variant-view">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => Html::encode($this->title),
            ]
        );
    ?>
    <p>
        <?= Html::a(
            Yii::t('catalog', 'Update'),
            [
                'update',
                'id' => $model->id,
            ],
            [ 'class' => 'btn btn-primary' ]
        ) ?>
        <?= Html::a(
            Yii::t('catalog', 'Delete'),
            [
                'delete',
                'id' => $model->id,
            ],
            [
                'class' => 'btn btn-danger',
                'data'  => [
                    'confirm' => Yii::t('catalog', 'Are you sure you want to delete this item?'),
                    'method'  => 'post',
                ],
            ]
        ) ?>
    </p>
    
    <?= DetailView::widget(
        [
            'model'      => $model,
            'attributes' => [
                'id',
                'lang.title',
                'sku',
                [
                    'attribute' => 'lang.alias.value',
                    'label'     => \Yii::t('catalog', 'Alias'),
                ],
                'product.lang.title',
                'price',
                'price_old',
                'stock',
                'lang.description:html',
                'sort',
                'status:boolean',
                'created_at:datetime',
                'updated_at:datetime',
            ],
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>

</div>
