<?php
    
    namespace artbox\core\behaviors;
    
    use artbox\core\models\Image;
    use yii\base\Behavior;
    use yii\db\ActiveRecord;
    use yii\helpers\Json;
    
    /**
     * Class GalleryBehavior
     *
     * @package artbox\core\behaviors\
     * @property ActiveRecord $owner
     */
    class GalleryBehavior extends Behavior
    {
        /**
         * @var string Name of the field in owner's table where gallery will be saved
         */
        public $gallery_field = 'gallery';
        
        /**
         * @return array
         */
        public function getImages(): array
        {
            $gallery_field = $this->gallery_field;
            
            if (empty(Json::decode($this->owner->$gallery_field))) {
                return [];
            }
            
            return Image::find()
                        ->filterWhere([ 'id' => Json::decode($this->owner->$gallery_field)])
                        ->all();
        }
        
        /**
         * @param array $post
         *
         * @return bool
         */
        public function saveImages(array $post): bool
        {
            $gallery_field = $this->gallery_field;
            
            $to_save = [];
            foreach ($post[ 'images' ] as $image) {
                /**
                 * Can make additional validation here
                 */
                if (!empty($image)) {
                    $to_save[] = $image;
                }
            }
            
            $this->owner->$gallery_field = Json::encode($to_save);
            
            return $this->owner->save();
        }
    }