<?php
    
    use artbox\core\models\PageLang;
    use yii\db\Migration;
    
    class m170316_103134_page_lang_drop_not_null extends Migration
    {
        public function safeUp()
        {
            $this->dropForeignKey(
                'fk_page_lang_alias_id',
                'page_lang'
            );
            $this->execute("ALTER TABLE public.page_lang ALTER COLUMN alias_id DROP NOT NULL");
            $this->addForeignKey(
                'fk_page_lang_alias_id',
                'page_lang',
                'alias_id',
                'alias',
                'id',
                'SET NULL',
                'CASCADE'
            );
        }
    
        public function safeDown()
        {
            PageLang::deleteAll(
                [
                    'alias_id' => null,
                ]
            );
            $this->dropForeignKey(
                'fk_page_lang_alias_id',
                'page_lang'
            );
            $this->addForeignKey(
                'fk_page_lang_alias_id',
                'page_lang',
                'alias_id',
                'alias',
                'id',
                'RESTRICT',
                'CASCADE'
            );
            $this->execute("ALTER TABLE public.page_lang ALTER COLUMN alias_id SET NOT NULL");
        }
    }
