<?php
    
    namespace artbox\core\models;
    
    use yii\base\Model;
    use yii\data\ActiveDataProvider;
    
    /**
     * PageCategorySearch represents the model behind the search form about `common\models\PageCategory`.
     */
    class PageCategorySearch extends PageCategory
    {
        public $title;
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'id',
                        'sort',
                    ],
                    'integer',
                ],
                [
                    [ 'status' ],
                    'boolean',
                ],
                [
                    [ 'title' ],
                    'safe',
                ],
            ];
        }
        
        public function behaviors()
        {
            return [];
        }
        
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         *
         * @return ActiveDataProvider
         */
        public function search($params)
        {
            $query = PageCategory::find()
                                 ->joinWith('lang');
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider(
                [
                    'query' => $query,
                ]
            );
            
            $this->load($params);
            
            if (!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere(
                [
                    'id'     => $this->id,
                    'sort'   => $this->sort,
                    'status' => $this->status,
                ]
            );
            
            $query->andFilterWhere(
                [
                    'ilike',
                    'page_category_lang.title',
                    $this->title,
                ]
            );
            
            return $dataProvider;
        }
    }
