<?php
    
    namespace artbox\core\models;
    
    use Yii;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "slider".
     *
     * @property integer $id
     * @property boolean $status
     * @property integer $sort
     * @property Slide[] $slides
     */
    class Slider extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'slider';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [ 'status' ],
                    'boolean',
                ],
                [
                    [ 'sort' ],
                    'integer',
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'id' => Yii::t('core', 'ID'),
                'status' => Yii::t('core', 'Status'),
                'sort' => Yii::t('core', 'Sort'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getSlides()
        {
            return $this->hasMany(Slide::className(), [ 'slider_id' => 'id' ])
                        ->inverseOf('slider');
        }
    }
