<?php
    
    use artbox\core\models\Alias;
    use artbox\core\models\Language;
    use dosamigos\tinymce\TinyMce;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var View       $this
     * @var Alias      $model
     * @var ActiveForm $form
     * @var Language[] $languages
     */
?>

<div class="alias-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= $form->field($model, 'route')
             ->textInput() ?>
    
    <?= $form->field($model, 'value')
             ->textInput() ?>
    
    <?= $form->field($model, 'language_id')
             ->dropDownList($languages) ?>
    
    <?= $form->field($model, 'title')
             ->textInput() ?>
    
    <?= $form->field($model, 'description')
             ->textarea() ?>
    
    <?= $form->field($model, 'h1')
             ->textInput() ?>
    
    <?php
        echo $form->field($model, 'seo_text')
                  ->widget(
                      TinyMce::className(),
                      [
                          'options'       => [ 'rows' => 30 ],
                          'language'      => 'ru',
                          'clientOptions' => [
                              'file_browser_callback' => new yii\web\JsExpression(
                                  "function(field_name, url, type, win) {
window.open('" . yii\helpers\Url::to(
                                      [
                                          'imagemanager/manager',
                                          'view-mode'   => 'iframe',
                                          'select-type' => 'tinymce',
                                      ]
                                  ) . "&tag_name='+field_name,'','width=800,height=540 ,toolbar=no,status=no,menubar=no,scrollbars=no,resizable=no');
}"
                              ),
                              'plugins'               => [
                                  "advlist autolink lists link charmap print preview anchor",
                                  "searchreplace visualblocks code fullscreen",
                                  "insertdatetime media table contextmenu paste image",
                              ],
                              'toolbar'               => "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image | code",
                              'image_advtab'          => true,
                          ],
                      ]
                  );
    ?>
    
    <?= $form->field($model, 'entity')
             ->textInput([ 'readonly' => true ]) ?>
    
    <?= $form->field($model, 'robots')
             ->dropDownList(
                 [
                     'index, follow'     => 'index, follow',
                     'index, nofollow'   => 'index, nofollow',
                     'noindex, follow'   => 'noindex, follow',
                     'noindex, nofollow' => 'noindex, nofollow',
                 ]
             ) ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? 'Create' : 'Update',
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
