<?php
    
    use artbox\core\models\AliasSearch;
    use yii\helpers\Html;
    use yiister\gentelella\widgets\grid\GridView;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var  yii\web\View                $this
     * @var  AliasSearch                 $searchModel
     * @var  yii\data\ActiveDataProvider $dataProvider
     * @var array                        $languages
     * @var array                        $entities
     */
    
    $this->title = \Yii::t('core', 'Aliases');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="alias-index">
    
    <?php $seoPanel = Panel::begin(
        [
            'header'      => \Yii::t('core', 'Create filter alias'),
            'collapsable' => true,
        ]
    ); ?>
  
  <p class="font-gray-dark">
    <b>Example:</b> http://domain.com/<b style="color: #D9534F">catalog/category/filter1_filter2</b>
  </p>
    
    <?= Html::beginForm(
        [ 'alias/create' ],
        'GET',
        [
            'class' => 'form-horizontal form-label-left',
        ]
    ) ?>
  <div class="form-group">
    <label class="col-sm-2 control-label">
        <?= \Yii::t('core', 'Enter filter url here: ') ?>
    </label>
    <div class="col-sm-10">
      <div class="input-group">
          <?= Html::textInput(
              'url',
              null,
              [
                  'class' => 'form-control',
              ]
          ) ?>
        <span class="input-group-btn">
                              <?= Html::submitButton(
                                  \Yii::t('core', 'Create alias'),
                                  [
                                      'class' => 'btn btn-primary',
                                  ]
                              ) ?>
          </span>

      </div>
    </div>
  </div>
    <?= Html::endForm(); ?>
    
    <?php $seoPanel::end(); ?>
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    <?php
        echo $this->render(
            '_search',
            [
                'model'     => $searchModel,
                'languages' => $languages,
                'entities'  => $entities,
            ]
        );
    ?>
  <p>
      <?= Html::a(
          \Yii::t('core', 'Create {item}', [ 'item' => \Yii::t('core', 'Alias') ]),
          [ 'create' ],
          [
              'class'        => 'btn btn-danger',
              'data-confirm' => \Yii::t(
                  'core',
                  'Creating aliases by hand may cause bugs for your website. Use it only if you know what are you doing!'
              ),
          ]
      ) ?>
  </p>
  <div class="divider-dashed"></div>
    <?= GridView::widget(
        [
            'dataProvider' => $dataProvider,
            'columns'      => [
                'id',
                'value',
                'route',
                'title',
                [ 'class' => 'yii\grid\ActionColumn' ],
            ],
        ]
    ); ?>
    <?php
        $xPanel::end();
    ?>
</div>
