<?php
    
    use artbox\core\models\Alias;
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var yii\web\View $this
     * @var  Alias       $model
     */
    
    $this->title = $model->value;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('core', 'Aliases'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="alias-view">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    
    <p>
        <?= Html::a(
            \Yii::t('core', 'Update'),
            [
                'update',
                'id' => $model->id,
            ],
            [ 'class' => 'btn btn-primary' ]
        ) ?>
        <?= Html::a(
            \Yii::t('core', 'Delete'),
            [
                'delete',
                'id' => $model->id,
            ],
            [
                'class' => 'btn btn-danger',
                'data'  => [
                    'confirm' => \Yii::t('core', 'Are you sure you want to delete this item?'),
                    'method'  => 'post',
                ],
            ]
        ) ?>
    </p>
    
    <?= DetailView::widget(
        [
            'model'      => $model,
            'attributes' => [
                'id',
                'value',
                'route',
                'title',
                'description',
                'h1',
                'robots',
                'seo_text',
            ],
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>
</div>
