<?php
    
    use artbox\core\models\PageCategorySearch;
    use yii\data\ActiveDataProvider;
    use yii\helpers\Html;
    use yii\grid\GridView;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var View               $this
     * @var PageCategorySearch $searchModel
     * @var ActiveDataProvider $dataProvider
     */
    
    $this->title = 'Page Categories';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="page-category-index">
    
    <?php $panel = Panel::begin(
        [
            'header' => $this->title,
        ]
    ) ?>
  
  <p>
      <?= Html::a('Create Page Category', [ 'create' ], [ 'class' => 'btn btn-success' ]) ?>
  </p>
    <?= GridView::widget(
        [
            'dataProvider' => $dataProvider,
            'filterModel'  => $searchModel,
            'columns'      => [
                [ 'class' => 'yii\grid\SerialColumn' ],
                
                [
                  'attribute' => 'title',
                  'value' => 'lang.title'
                ],
                'sort',
                'status:boolean',
                
                [ 'class' => 'yii\grid\ActionColumn' ],
            ],
        ]
    ); ?>
    
    <?php $panel::end() ?>

</div>
