<?php
    
    use artbox\core\models\Page;
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var yii\web\View $this
     * @var  Page        $model
     */
    
    $this->title = $model->lang->title;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('core', 'Pages'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="page-view">
    
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    
    <p>
        <?= Html::a(
            \Yii::t('core', 'Update'),
            [
                'update',
                'id' => $model->id,
            ],
            [ 'class' => 'btn btn-primary' ]
        ) ?>
        <?= Html::a(
            \Yii::t('core', 'Delete'),
            [
                'delete',
                'id' => $model->id,
            ],
            [
                'class' => 'btn btn-danger',
                'data'  => [
                    'confirm' => \Yii::t('core', 'Are you sure you want to delete this item?'),
                    'method'  => 'post',
                ],
            ]
        ) ?>
    </p>
    
    <?= DetailView::widget(
        [
            'model'      => $model,
            'attributes' => [
                'id',
                'lang.title',
                [
                    'attribute' => 'in_menu',
                    'value'     => $model->in_menu ? Yii::t('app', 'В меню') : Yii::t('app', 'Не в меню'),
                ],
                'lang.body:html',
            ],
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>
</div>
