<?php
    use artbox\core\models\ChangePassword;
    use artbox\core\models\User;
    use artbox\core\models\UserData;
    use yii\bootstrap\Collapse;
    use yii\bootstrap\Html;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var User           $user
     * @var UserData       $userData
     * @var ChangePassword $changePasswordModel
     * @var View           $this
     */
    
    $this->title = 'Profile';
    
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="text-center">
    <div class="col-xs-12 col-lg-6 col-lg-offset-3">
        <?php
            $xPanel = Panel::begin(
                [
                    'header' => \Yii::t('core', 'Profile information'),
                ]
            );
            echo Collapse::widget(
                [
                    'items'        => [
                        [
                            'label'          => Html::tag(
                                'p',
                                \Yii::t('core', 'Personal information'),
                                [
                                    'class' => 'collapse_toggle_text',
                                ]
                            ),
                            'content'        => $this->render(
                                '_profile_info',
                                [
                                    'user'     => $user,
                                    'userData' => $userData,
                                ]
                            ),
                            'contentOptions' => [ 'class' => $changePasswordModel->hasErrors() ? '' : 'in' ],
                        ],
                        [
                            'label'          => Html::tag(
                                'p',
                                \Yii::t('core', 'Change password'),
                                [
                                    'class' => 'collapse_toggle_text',
                                ]
                            ),
                            'content'        => $this->render(
                                '_change_password',
                                [
                                    'changePasswordModel' => $changePasswordModel,
                                ]
                            ),
                            'contentOptions' => [ 'class' => $changePasswordModel->hasErrors() ? 'in' : '' ],
                        ],
                    ],
                    'options'      => [
                        'class' => 'accordion profile_info_accordion',
                    ],
                    'encodeLabels' => false,
                ]
            );
            $xPanel::end();
        ?>
    </div>
    <div class="clearfix"></div>
</div>