<?php
    
    use artbox\core\models\Slide;
    use artbox\core\widgets\LanguageForm;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /**
     * @var \yii\web\View                   $this
     * @var Slide                           $model
     * @var \artbox\core\models\SlideLang[] $modelLangs
     * @var ActiveForm                      $form
     * @var \artbox\core\models\Slider      $slider
     */
?>

<div class="slide-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= $form->field($model, 'slider_id')
             ->hiddenInput([ 'value' => $slider->id ])
             ->label(false) ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@artbox/core/views/slide/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'status')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
    
    <?= $form->field($model, 'sort')
             ->input('number') ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('core', 'Create') : Yii::t('core', 'Update'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
