<?php
    
    use artbox\core\models\SliderSearch;
    use yii\helpers\Html;
    use yii\grid\GridView;
    
    /* @var $this yii\web\View */
    /* @var $searchModel SliderSearch */
    /* @var $dataProvider yii\data\ActiveDataProvider */
    
    $this->title = Yii::t('core', 'Sliders');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="slider-index">
  
  <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
  
  <p>
      <?= Html::a(Yii::t('core', 'Create Slider'), [ 'create' ], [ 'class' => 'btn btn-success' ]) ?>
  </p>
    <?= GridView::widget(
        [
            'dataProvider' => $dataProvider,
            'filterModel'  => $searchModel,
            'columns'      => [
                [ 'class' => 'yii\grid\SerialColumn' ],
                
                'id',
                'status:boolean',
                [
                    'attribute' => 'sort',
                    'filter'    => false,
                ],
                [
                    'class'    => 'yii\grid\ActionColumn',
                    'buttons'  => [
                        'slides' => function ($url, $model, $key) {
                            /**
                             * @var \artbox\core\models\Slider $model
                             */
                            return Html::a(
                                Html::tag(
                                    'i',
                                    '',
                                    [
                                        'class' => 'glyphicon glyphicon-picture',
                                    ]
                                ),
                                [
                                    'slide/index',
                                    'slider_id' => $model->id,
                                ],
                                [
                                    'title' => \Yii::t('core', 'Slides'),
                                    'data'  => [
                                        'pjax' => 0,
                                    ],
                                ]
                            );
                        },
                    ],
                    'template' => '{slides} {view} {update} {delete}',
                ],
            ],
        ]
    ); ?>
</div>
