<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation of table `delivery`.
     */
    class m170503_141941_create_delivery_table extends Migration
    {
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable(
                'delivery',
                [
                    'id'     => $this->primaryKey(),
                    'sort'   => $this->integer()
                                     ->defaultValue(0),
                    'value'  => $this->decimal(),
                    'status' => $this->boolean()
                                     ->defaultValue(true),
                ]
            );
            
            $this->createTable(
                'delivery_lang',
                [
                    'delivery_id' => $this->integer()
                                          ->notNull(),
                    'language_id' => $this->integer()
                                          ->notNull(),
                    'title'       => $this->string()
                                          ->notNull(),
                    'description' => $this->text(),
                ]
            );
            
            $this->addPrimaryKey(
                'delivery_lang_pkey',
                'delivery_lang',
                [
                    'delivery_id',
                    'language_id',
                ]
            );
            
            $this->addForeignKey(
                'delivery_lang_delivery_id_fkey',
                'delivery_lang',
                'delivery_id',
                'delivery',
                'id',
                'CASCADE',
                'CASCADE'
            );
            $this->addForeignKey(
                'delivery_lang_language_id_fkey',
                'delivery_lang',
                'language_id',
                'language',
                'id',
                'RESTRICT',
                'CASCADE'
            );
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropForeignKey('delivery_lang_delivery_id_fkey', 'delivery_lang');
            $this->dropForeignKey('delivery_lang_language_id_fkey', 'delivery_lang');
            
            $this->dropTable('delivery_lang');
            
            $this->dropTable('delivery');
        }
    }
