<?php
    
    namespace artbox\order\models;
    
    use Yii;
    use yii\base\Model;
    
    class PasswordForm extends Model
    {
        public $oldpass;
        public $newpass;
        public $repeatnewpass;
    
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'oldpass',
                        'newpass',
                        'repeatnewpass',
                    ],
                    'required',
                ],
                [
                    'oldpass',
                    'validatePassword',
                ],
                [
                    'repeatnewpass',
                    'compare',
                    'compareAttribute' => 'newpass',
                ],
            ];
        }
        
        public function validatePassword($attribute)
        {
            /**
             * @var \artbox\core\models\User $identity
             */
            $identity = \Yii::$app->user->identity;
            if (!Yii::$app->getSecurity()
                          ->validatePassword(
                              $this->oldpass,
                              $identity->password_hash
                          )
            ) {
                $this->addError($attribute, 'Old password is incorrect');
            }
        }
    
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'oldpass'       => \Yii::t('order', 'Старий пароль'),
                'newpass'       => \Yii::t('order', 'Новий пароль'),
                'repeatnewpass' => \Yii::t('order', 'Повторіть новий пароль'),
            ];
        }
    }