<?php
    
    use artbox\core\widgets\LanguageForm;
    use kartik\color\ColorInput;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
    
    /**
     * @var \yii\web\View                    $this
     * @var \artbox\order\models\Label       $model
     * @var \artbox\order\models\LabelLang[] $modelLangs
     * @var ActiveForm                       $form
     */
?>

<div class="label-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@artbox/order/views/label/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'sort')
             ->textInput() ?>
    
    <?= $form->field($model, 'value')
             ->textInput() ?>
    
    <?= $form->field($model, 'status')
             ->checkbox(
                 [
                     'class' => 'flat',
                 ]
             ) ?>
    
    <?php
        echo $form->field($model, 'color')
                  ->widget(
                      ColorInput::classname(),
                      [
                          'options' => [ 'placeholder' => \Yii::t('app', 'Select color ...') ],
                      ]
                  );
    ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('order', 'Create') : Yii::t('order', 'Update'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
