<?php
    
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    
    /* @var $this yii\web\View */
    /* @var $model artbox\order\models\OrderProduct */
    
    $this->title = $model->id;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('order', 'Order Products'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="order-product-view">
  
  <h1><?= Html::encode($this->title) ?></h1>
  
  <p>
      <?= Html::a(
          Yii::t('order', 'Update'),
          [
              'update',
              'id' => $model->id,
          ],
          [ 'class' => 'btn btn-primary' ]
      ) ?>
      <?= Html::a(
          Yii::t('order', 'Delete'),
          [
              'delete',
              'id' => $model->id,
          ],
          [
              'class' => 'btn btn-danger',
              'data'  => [
                  'confirm' => Yii::t('order', 'Are you sure you want to delete this item?'),
                  'method'  => 'post',
              ],
          ]
      ) ?>
  </p>
    
    <?= DetailView::widget(
        [
            'model' => $model,
            'attributes' => [
                'id',
                'order_id',
                'variant_id',
                'sku',
                'price',
                'count',
            ],
        ]
    ) ?>

</div>
