<?php
    
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var \yii\web\View                       $this
     * @var \artbox\order\models\Order          $model
     * @var array                               $labels
     * @var array                               $deliveries
     * @var array                               $payments
     * @var \artbox\order\models\OrderProduct[] $orderProducts
     */
    
    $this->title = Yii::t(
            'order',
            'Update {modelClass}: ',
            [
                'modelClass' => 'Order',
            ]
        ) . $model->name;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('order', 'Orders'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->name,
        'url'   => [
            'view',
            'id' => $model->id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('order', 'Update');
?>
<div class="order-update">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'labels'     => $labels,
            'payments'   => $payments,
            'deliveries' => $deliveries,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>
</div>
