<?php
    
    use yii\helpers\Html;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var \yii\web\View              $this
     * @var \artbox\order\models\Order $model
     * @var array                      $labels
     * @var array                      $deliveries
     * @var array                      $payments
     */
    
    $this->title = Yii::t('order', 'Create Order');
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('order', 'Orders'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="order-create">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
  <h1><?= Html::encode($this->title) ?></h1>
    
    <?= $this->render(
        '_form',
        [
            'model'      => $model,
            'labels'     => $labels,
            'payments'   => $payments,
            'deliveries' => $deliveries,
        ]
    ) ?>
    
    <?php
        $xPanel::end();
    ?>
</div>
