<?php
    
    use artbox\core\models\PageSearch;
    use yii\helpers\Html;
    use yiister\gentelella\widgets\grid\GridView;
    use yiister\gentelella\widgets\Panel;
    
    /**
     * @var  yii\web\View                $this
     * @var  PageSearch                  $searchModel
     * @var  yii\data\ActiveDataProvider $dataProvider
     */
    
    $this->title = \Yii::t('app', 'Slides');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="slider-index">
    <?php
        $xPanel = Panel::begin(
            [
                'header' => $this->title,
            ]
        );
    ?>
  
  
  <p>
      <?= Html::a(
          \Yii::t('app', 'Create {item}', [ 'item' => \Yii::t('app', 'Slide') ]),
          [ 'create' ],
          [ 'class' => 'btn btn-success' ]
      ) ?>
  </p>
    <?= GridView::widget(
        [
            'dataProvider' => $dataProvider,
            'filterModel'  => $searchModel,
            'columns'      => [
                'id',
                'link',
                [
                    'attribute' => 'image_id',
                    'value'     => function ($model) {
                        /**
                         * @var \common\models\Slider $model
                         */
                        return $model->image->getUrl();
                    },
                    'format'    => 'image',
                ],
                [
                    'attribute' => 'status',
                    'filter'    => \Yii::$app->formatter->booleanFormat,
                    'format'    => 'boolean',
                ],
                'sort',
                [ 'class' => 'yii\grid\ActionColumn' ],
            ],
        ]
    ); ?>
    <?php
        $xPanel::end();
    ?>
</div>
