<?php
    /**
     * @var \frontend\models\Order $order
     */
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    
    $sum = 0;
    foreach ($order->orderProducts as $orderProduct) {
        $sum += $orderProduct->count * $orderProduct->price;
    }
    if (!empty($order->delivery)) {
        $sum += $order->delivery->value;
    }
?>
<h3>
    <?php echo \Yii::t(
        'app',
        'Order {orderId} successfully created!',
        [
            'orderId' => $order->id,
        ]
    ); ?>
</h3>
<p><?php echo \Yii::t('app', 'Order info:'); ?></p>
<?php
    echo DetailView::widget(
        [
            'model'      => $order,
            'attributes' => [
                'id',
                'name',
                [
                    'attribute' => 'secondname',
                    'format' => 'text',
                    'label' => 'Фамилия',
                ],
                'phone',
                'email',
                'city',
                'address',
                'comment',
                [
                    'attribute' => 'label_id',
                    'value'     => function ($model) {
                        /**
                         * @var \frontend\models\Order $model
                         */
                        return $model->label->lang->title;
                    },
                ],
                [
                    'attribute' => 'delivery_id',
                    'value'     => function ($model) {
                        /**
                         * @var \frontend\models\Order $model
                         */
                        return $model->delivery->lang->title;
                    },
                ],
                [
                    'attribute' => 'payment_id',
                    'value'     => function ($model) {
                        /**
                         * @var \frontend\models\Order $model
                         */
                        return $model->payment->lang->title;
                    },
                ],
                [
                    'attribute' => 'created_at',
                    'format'    => 'datetime',
                ],
            ],
        ]
    );
?>
<table>
  <tr>
    <th><?php echo \Yii::t('app', 'Product'); ?></th>
    <th><?php echo \Yii::t('app', 'Article'); ?></th>
    <th><?php echo \Yii::t('app', 'Price'); ?></th>
    <th><?php echo \Yii::t('app', 'Count'); ?></th>
    <th><?php echo \Yii::t('app', 'Sum'); ?></th>
  </tr>
    <?php
        foreach ($order->orderProducts as $orderProduct) {
            ?>
          <tr>
            <td>
                <?php echo Html::a(
                    $orderProduct->variant->product->lang->title,
                    [
                        'product/view',
                        'id'    => $orderProduct->variant->product->id,
                        'alias' => $orderProduct->variant->product->lang->alias,
                    ]
                ); ?>
            </td>
            <td>
                <?php
                    echo $orderProduct->sku;
                ?>
            </td>
            <td>
                <?php
                    echo $orderProduct->price . ' грн.';
                ?>
            </td>
            <td>
                <?php
                    echo $orderProduct->count;
                ?>
            </td>
            <td>
                <?php
                    echo ( $orderProduct->price * $orderProduct->count ) . ' грн.';
                ?>
            </td>
          </tr>
            <?php
        }
    ?>
  <tr>
    <td colspan="4"><?php echo \Yii::t('app', 'Delivery'); ?></td>
    <td><?php echo $order->delivery->value . ' грн.'; ?></td>
  </tr>
  <tr>
    <td colspan="4"><?php echo \Yii::t('app', 'Sum'); ?></td>
    <td><?php echo $sum . ' грн.'; ?></td>
  </tr>
</table>
