<?php
    use artbox\catalog\helpers\FilterHelper;
    use artbox\catalog\models\Brand;
    use artbox\catalog\models\Category;
    use artbox\catalog\models\Product;
    use artbox\core\components\SeoComponent;
    use yii\bootstrap\Html;
    use yii\data\ActiveDataProvider;
    use yii\web\View;
    use yii\widgets\LinkPager;
    use yii\widgets\ListView;
    
    /**
     * @var View               $this
     * @var Category           $model
     * @var SeoComponent       $seo
     * @var FilterHelper       $filterHelper
     * @var ActiveDataProvider $dataProvider
     * @var string             $priceMin
     * @var string             $priceMax
     */
    $seo = \Yii::$app->get('seo');
    $filterHelper = \Yii::$app->get('filter');
    $view = $this;
    $this->params[ 'breadcrumbs' ][] = $seo->h1;
?>
<div id="content">
  <div class="container">
    
    <div class="row">
      
      
      <!-- *** LEFT COLUMN ***
_________________________________________________________ -->
        <div class="filter_mobile_" style="display: none;">
            <a href="#"><?=Yii::t('app','filter')?></a>
        </div>
      <div class="col-sm-3 filters-blocks mob_filters_wr">
          <div class="close_mob_filters" style="display: none"></div>
        <!-- *** MENUS AND FILTERS ***
_________________________________________________________ -->
        

            <?php
                if (!empty($model->parent_id) || !empty($model->categories)) {
                    ?>
          <div class="panel panel-default sidebar-menu">
              <div class="panel-heading">
                  <h1 class="panel-title"><?php
                      if (!empty($model->parent)) {
                          echo $model->parent->lang->title . ': '. $model->lang->title;
                      } else {
                          echo $model->lang->title;
                      }
                      ?>
                  </h1>
              </div>
              <div class="panel-body">
                  <ul class="filters_menu">



                          <?php
                          if (!empty($model->parent_id)) {
                              foreach ($model->parent->categories as $childCategory) {
                                  echo Html::tag(
                                      'li',
                                      Html::a(
                                          $childCategory->lang->title,
                                          ( $childCategory->id === $model->id ) ? '#' : [
                                              'view',
                                              'category' => $childCategory->lang->alias->value,
                                          ]
                                      ),
                                      [
                                          'class' => ( $childCategory->id === $model->id ) ? 'active' : '',
                                      ]
                                  );
                              }
                          } else {
                              foreach ($model->categories as $childCategory) {
                                  echo Html::tag(
                                      'li',
                                      Html::a(
                                          $childCategory->lang->title,
                                          [
                                              'view',
                                              'category' => $childCategory->lang->alias->value,
                                          ]
                                      )
                                  );
                              }
                          }
                          ?>


                  </ul>
              </div>
              </div>

                    <?php
                }
            ?>
    
            <?php
                if (!empty($filterHelper->getFilter())) {
                    echo '<div class="panel panel-default sidebar-menu">';
                    echo Html::a(
                        Html::icon(
                            'times-circle',
                            [
                                'prefix' => 'fa fa-',
                            ]
                        ) . Html::tag(
                            'span',
                            \Yii::t('app', 'reset filter'),
                            [
                                'class' => 'hidden-sm',
                            ]
                        ),
                        [
                            'view',
                            'category' => $model->lang->alias->value,
                        ],
                        [
                            'class' => 'btn btn-xs btn-danger reset-filters',
                        ]
                    );
                    echo '</div>';
                }
            ?>
	      <?php
	      $brands = $filterHelper->getBrands($model);
	      if (!empty($brands)) {
		      ?>
              <div class="panel panel-default sidebar-menu">
                  <div class="panel-heading">
                      <h3 class="panel-title"><?php echo \Yii::t('app', 'Brands'); ?></h3>
                  </div>

                  <div class="panel-body">
                      <div class="form-group">
					      <?php
					      $nameSortArray=[];
					      foreach ($brands as $brand) {

						      /**
						       * @var Product $product
						       * @var Brand   $brand
						       */

						      $nameSortArray[$brand->lang->title]=Html::tag(
							      'div',
							      Html::a(
								      $brand->lang->title,
								      [
									      '/category/view',
									      'category' => $model->lang->alias->value,
									      'filter'   => $filterHelper->buildLink($brand),
								      ]
							      ),
							      [
								      'class' => $filterHelper->has(
									      $brand->lang->alias->value
								      ) ? 'radio-but checked' : 'radio-but',
							      ]
						      );

					      }

					      asort($nameSortArray);
					      foreach ($nameSortArray as $soloBrandItem)
					      {
						      echo  $soloBrandItem;
					      }
					      ?>
                         </div>
                     </div>
                 </div>
                    <?php
                }
            ?>
          
          <?php
              foreach ($model->productOptionGroupCompls as $group) {
                  ?>
                <div class="panel panel-default sidebar-menu">
                  <div class="panel-heading">
                    <h3><?php echo $group->lang->title; ?></h3>
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                        <?php
                            $firstsix = 0;
                            $buthiddenmore = Html::tag(
                                'div',
                                Html::a(
                                    Yii::t('app','more'),
                                    '#',
                                    [
                                        'class' => 'btn btn-primary btn-xs',
                                        'data' => ['show' => Yii::t('app','more'), 'hide' => Yii::t('app','hide')]
                                    ]
                                ),
                                [
                                    'class' => 'hiddens-button',
                                ]
                            );
                            foreach ($group->options as $option) {
                                /**
                                 * @var Product $product
                                 */
                                echo Html::tag(
                                    'div',
                                    Html::a(
                                        $option->lang->value,
                                        [
                                            '/category/view',
                                            'category' => $model->lang->alias->value,
                                            'filter'   => $filterHelper->buildLink($option),
                                        ]
                                    ),
                                    [
                                        'class' => $filterHelper->has(
                                            $option->lang->alias->value
                                        ) ? 'radio-but checked' : 'radio-but',
                                    ]
                                );
                                $firstsix++;
                                if ($firstsix == 6) {
                                    break;
                                }
                            }
                        ?>
                      <div class="hiddens">
                          <?php
                              $nextsix = 0;
                              foreach ($group->options as $option) {
                                  /**
                                   * @var Product $product
                                   */
                                  $nextsix++;
                                  if ($nextsix > 6) {
                                      echo Html::tag(
                                          'div',
                                          Html::a(
                                              $option->lang->value,
                                              [
                                                  '/category/view',
                                                  'category' => $model->lang->alias->value,
                                                  'filter'   => $filterHelper->buildLink($option),
                                              ]
                                          ),
                                          [
                                              'class' => $filterHelper->has(
                                                  $option->lang->alias->value
                                              ) ? 'radio-but checked' : 'radio-but',
                                          ]
                                      );
                                  }
                              }
                              if ($nextsix > 6) {
                                  $morebutton = $buthiddenmore;
                              } else {
                                  $morebutton = '';
                              }
                          ?>
                      </div>
                        <?php echo $morebutton; ?>
                    </div>
                  </div>
                </div>
                  <?php
              }
              foreach ($model->productOptionGroupExcls as $group) {
                  ?>
                <div class="panel panel-default sidebar-menu">
                  <div class="panel-heading">
                    <h3><?php echo $group->lang->title; ?></h3>
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                        <?php
                            $firstsix = 0;
                            $buthiddenmore = Html::tag(
                                'div',
                                Html::a(
                                    Yii::t('app','more'),
                                    '#',
                                    [
                                        'class' => 'btn btn-primary btn-xs',
                                        'data' => ['show' => Yii::t('app','more'), 'hide' => Yii::t('app','hide')]
                                    ]
                                ),
                                [
                                    'class' => 'hiddens-button',
                                ]
                            );
                            foreach ($group->options as $option) {
                                /**
                                 * @var Product $product
                                 */
                                echo Html::tag(
                                    'div',
                                    Html::a(
                                        $option->lang->value,
                                        [
                                            '/category/view',
                                            'category' => $model->lang->alias->value,
                                            'filter'   => $filterHelper->buildLink($option),
                                        ]
                                    ),
                                    [
                                        'class' => $filterHelper->has(
                                            $option->lang->alias->value
                                        ) ? 'radio-but checked' : 'radio-but',
                                    ]
                                );
                                $firstsix++;
                                if ($firstsix == 6) {
                                    break;
                                }
                            }
                        ?>
                      <div class="hiddens">
                          <?php
                              $nextsix = 0;
                              foreach ($group->options as $option) {
                                  /**
                                   * @var Product $product
                                   */
                                  $nextsix++;
                                  if ($nextsix > 6) {
                                      echo Html::tag(
                                          'div',
                                          Html::a(
                                              $option->lang->value,
                                              [
                                                  '/category/view',
                                                  'category' => $model->lang->alias->value,
                                                  'filter'   => $filterHelper->buildLink($option),
                                              ]
                                          ),
                                          [
                                              'class' => $filterHelper->has(
                                                  $option->lang->alias->value
                                              ) ? 'radio-but checked' : 'radio-but',
                                          ]
                                      );
                                  }
                              }
                              if ($nextsix > 6) {
                                  $morebutton = $buthiddenmore;
                              } else {
                                  $morebutton = '';
                              }
                          ?>
                      </div>
                        <?php echo $morebutton; ?>
                    </div>
                  </div>
                </div>
                  <?php
              }
              foreach ($model->variantOptionGroupCompls as $group) {
                  ?>
                <div class="panel panel-default sidebar-menu">
                  <div class="panel-heading">
                    <h3><?php echo $group->lang->title; ?></h3>
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                        <?php
                            $firstsix = 0;
                            $buthiddenmore = Html::tag(
                                'div',
                                Html::a(
                                    Yii::t('app','more'),
                                    '#',
                                    [
                                        'class' => 'btn btn-primary btn-xs',
                                        'data' => ['show' => Yii::t('app','more'), 'hide' =>Yii::t('app','hide')]
                                    ]
                                ),
                                [
                                    'class' => 'hiddens-button',
                                ]
                            );
                            foreach ($group->options as $option) {
                                /**
                                 * @var Product $product
                                 */
                                echo Html::tag(
                                    'div',
                                    Html::a(
                                        $option->lang->value,
                                        [
                                            '/category/view',
                                            'category' => $model->lang->alias->value,
                                            'filter'   => $filterHelper->buildLink($option),
                                        ]
                                    ),
                                    [
                                        'class' => $filterHelper->has(
                                            $option->lang->alias->value
                                        ) ? 'radio-but checked' : 'radio-but',
                                    ]
                                );
                                $firstsix++;
                                if ($firstsix == 6) {
                                    break;
                                }
                            }
                        ?>
                      <div class="hiddens">
                          <?php
                              $nextsix = 0;
                              foreach ($group->options as $option) {
                                  /**
                                   * @var Product $product
                                   */
                                  $nextsix++;
                                  if ($nextsix > 6) {
                                      echo Html::tag(
                                          'div',
                                          Html::a(
                                              $option->lang->value,
                                              [
                                                  '/category/view',
                                                  'category' => $model->lang->alias->value,
                                                  'filter'   => $filterHelper->buildLink($option),
                                              ]
                                          ),
                                          [
                                              'class' => $filterHelper->has(
                                                  $option->lang->alias->value
                                              ) ? 'radio-but checked' : 'radio-but',
                                          ]
                                      );
                                  }
                              }
                              if ($nextsix > 6) {
                                  $morebutton = $buthiddenmore;
                              } else {
                                  $morebutton = '';
                              }
                          ?>
                      </div>
                        <?php echo $morebutton; ?>
                    </div>
                  </div>
                </div>
                  <?php
              }
              foreach ($model->variantOptionGroupExcls as $group) {
                  ?>
                <div class="panel panel-default sidebar-menu">
                  <div class="panel-heading">
                    <h3><?php echo $group->lang->title; ?></h3>
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                        <?php
                            $firstsix = 0;
                            $buthiddenmore = Html::tag(
                                'div',
                                Html::a(
                                    Yii::t('app','more'),
                                    '#',
                                    [
                                        'class' => 'btn btn-primary btn-xs',
                                        'data' => ['show' => Yii::t('app','more'), 'hide' => Yii::t('app','hide')]
                                    ]
                                ),
                                [
                                    'class' => 'hiddens-button',
                                ]
                            );
                            foreach ($group->options as $option) {
                                /**
                                 * @var Product $product
                                 */
                                echo Html::tag(
                                    'div',
                                    Html::a(
                                        $option->lang->value,
                                        [
                                            '/category/view',
                                            'category' => $model->lang->alias->value,
                                            'filter'   => $filterHelper->buildLink($option),
                                        ]
                                    ),
                                    [
                                        'class' => $filterHelper->has(
                                            $option->lang->alias->value
                                        ) ? 'radio-but checked' : 'radio-but',
                                    ]
                                );
                                $firstsix++;
                                if ($firstsix == 6) {
                                    break;
                                }
                            }
                        ?>
                      <div class="hiddens">
                          <?php
                              $nextsix = 0;
                              foreach ($group->options as $option) {
                                  /**
                                   * @var Product $product
                                   */
                                  $nextsix++;
                                  if ($nextsix > 6) {
                                      echo Html::tag(
                                          'div',
                                          Html::a(
                                              $option->lang->value,
                                              [
                                                  '/category/view',
                                                  'category' => $model->lang->alias->value,
                                                  'filter'   => $filterHelper->buildLink($option),
                                              ]
                                          ),
                                          [
                                              'class' => $filterHelper->has(
                                                  $option->lang->alias->value
                                              ) ? 'radio-but checked' : 'radio-but',
                                          ]
                                      );
                                  }
                              }
                              if ($nextsix > 6) {
                                  $morebutton = $buthiddenmore;
                              } else {
                                  $morebutton = '';
                              }
                          ?>
                      </div>
                        <?php echo $morebutton; ?>
                    </div>
                  </div>
                </div>
                  <?php
              }
          ?>

          <div class="panel panel-default sidebar-menu">
              <div class="panel-heading">
                  <h3 class="panel-title"><?php echo \Yii::t('app', 'Price'); ?></h3>
              </div>
              <div class="panel-body">
                  <div class="row">
                      <div class="price_slider">
                          <?php
                          $filters = $filterHelper->getGroupFilters();
                          if (isset($filters[ 'prices' ])) {
                              $currentMin = $filters[ 'prices' ][ 0 ];
                              $currentMax = $filters[ 'prices' ][ 1 ];
                          } else {
                              $currentMin = $priceMin;
                              $currentMax = $priceMax;
                          }
                          echo Html::textInput(
                              'price_interval',
                              '',
                              [
                                  'id'   => 'price_interval',
                                  'data' => [
                                      'pricemin'   => $priceMin,
                                      'pricemax'   => $priceMax,
                                      'currentMin' => $currentMin,
                                      'currentMax' => $currentMax,
                                  ],
                              ]
                          );
                          ?>
                      </div>
                  </div>
                  <div class="row price-inputs">
                      <div class="col-xs-5 col-sm-5 input-block input-block-min">
                          <input type="text" name="price-min" id="price-min">
                      </div>
                      <div class="col-xs-2 col-sm-2 input-sep">-</div>
                      <div class="col-xs-5 col-sm-5 input-block input-block-max">
                          <input type="text" name="price-max" id="price-max">
                      </div>
                  </div>
                  <div class="row">
                      <div class="col-xs-3 col-sm-4 hidden-md hidden-lg"></div>
                      <div class="col-xs-6 col-sm-4 col-md-12 btn-slider-price">
                          <button class="price-apply btn btn-primary"><?=Yii::t('app','apply')?></button>
                      </div>
                      <div class="col-xs-3 col-sm-4 hidden-md hidden-lg"></div>
                  </div>

              </div>
          </div>
        <!-- *** MENUS AND FILTERS END *** -->
        
        <!-- /.banner -->

      </div>
      <!-- /.col-md-3 -->
      
      <!-- *** LEFT COLUMN END *** -->
      
      <!-- *** RIGHT COLUMN ***
_________________________________________________________ -->
      
      <div class="col-sm-9">
        <div class="col-md-12 sort-cat-wr">
          <p><?php echo \Yii::t('app', 'Sorting'); ?>:</p>
          <div class="sort-cat">
              <?php
                  $currentSortAttribute = array_keys($dataProvider->sort->attributes)[ 0 ];
                  $currentSort = \Yii::$app->request->get($dataProvider->sort->sortParam);
                  if (!empty($currentSort)) {
                      if (preg_match('/^-?(\w+)$/', $currentSort, $matches)) {
                          if (array_key_exists($matches[ 1 ], $dataProvider->sort->attributes)) {
                              $currentSortAttribute = $matches[ 1 ];
                          }
                      }
                  }
                  echo $dataProvider->sort->link(
                      $currentSortAttribute,
                      [
                          'label' => Html::tag(
                                  'span',
                                  $dataProvider->sort->attributes[ $currentSortAttribute ][ 'label' ]
                              ) . Html::tag(
                                  'i',
                                  '',
                                  [
                                      'class'       => 'fa fa-angle-down',
                                      'aria-hidden' => true,
                                  ]
                              ),
                      ]
                  );
              ?>
            <ul class="sorter">
                <?php
                    foreach ($dataProvider->sort->attributes as $attribute => $sort) {
                        if ($currentSortAttribute == $attribute) {
                            continue;
                        }
                        echo Html::tag('li', $dataProvider->sort->link($attribute));
                    }
                ?>
            </ul>
          </div>
        </div>
          <?php
              echo ListView::widget(
                  [
                      'options'      => [
                          'class' => 'row products',
                      ],
                      'itemOptions'  => [
                          'tag' => false,
                      ],
                      'layout'       => '{items}',
                      'dataProvider' => $dataProvider,
                      'itemView'     => function ($model) use ($view) {
                          /**
                           * @var Product $model
                           */
                          return $view->render(
                              '_product_item',
                              [
                                  'product' => $model,
                              ]
                          );
                      },
                  ]
              );
              echo Html::tag(
                  'div',
                  LinkPager::widget(
                      [
                          'pagination' => $dataProvider->pagination,
                      ]
                  ),
                  [
                      'class' => 'pages',
                  ]
              );
          ?>
      
      </div>
      <!-- /.col-md-9 -->
      
      <!-- *** RIGHT COLUMN END *** -->
    
    </div>
  
  </div>
  <!-- /.container -->
</div>
<!-- /#content -->