<?php
    use artbox\catalog\models\OptionGroup;
    use artbox\catalog\models\Product;
    use artbox\catalog\models\Variant;
    use artbox\core\components\SeoComponent;
    use artbox\core\helpers\ImageHelper;
    use frontend\models\Order;
    use yii\bootstrap\ActiveForm;
    use yii\bootstrap\Html;
    use yii\helpers\ArrayHelper;
    use yii\helpers\Url;
    use yii\web\View;
    use yii\jui\JuiAsset;
    
    /**
     * @var View         $this
     * @var Product      $model
     * @var Variant      $variant
     * @var SeoComponent $seo
     * @var array        $groups
     * @var Product[]    $similar
     */
    $seo = \Yii::$app->get('seo');
    if (!empty($model->category)) {
//        if (!empty($model->category->parent)) {
//            $this->params[ 'breadcrumbs' ][] = [
//                'label' => $model->category->parent->lang->title,
//                'url'   => [
//                    '/category/view',
//                    'category' => $model->category->parent->lang->alias->value,
//                ],
//            ];
//        }
        $this->params[ 'breadcrumbs' ][] = [
            'label' => $model->category->lang->title,
            'url'   => [
                '/category/view',
                'category' => $model->category->lang->alias->value,
            ],
        ];
    }
    $this->params[ 'breadcrumbs' ][] = $seo->h1;
    $images = $model->images;
    if (empty($model->images))
    {
      $images = [];
    }
    if (!empty($model->image)) {
        array_unshift($images, $model->image);
    }
    
    $js = <<< JS
    $(document).ready(function() {
        $("#t_buy_credit").on("click", function(e) {
            console.log("credit");
            $('.Oziris_dialog').attr('ProductCode','KS-POTREB');
            Oziris_open();
            return false;
        });
    
        $("#t_buy_installment").on("click", function(e) {
            console.log("installment");
            $('.Oziris_dialog').attr('ProductCode','ECREDIT');
            Oziris_open();
            return false;
        });
    })
JS;
    
    $this->registerJs($js, View::POS_READY);

?>

<!--<script>(function(d, s, id) {-->
<!--        var js, fjs = d.getElementsByTagName(s)[ 0 ];-->
<!--        if (d.getElementById(id)) {-->
<!--            return;-->
<!--        }-->
<!--        js = d.createElement(s);-->
<!--        js.id = id;-->
<!--        js.src = "//xkasa.com.ua/Scripts/Oziris-0.5.1.a.promo.js";-->
<!--        fjs.parentNode.insertBefore(js, fjs);-->
<!--    }(document, 'script', 'xkasa-jssdk'));-->
<!--</script>-->

<div id="content">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        
        <div class="row" id="productMain">
          <div class="col-xs-12 col-sm-3 col-md-4">
              <div id="mainImage" class="image-zoom">
                <?php
                    if (!empty($images)) {
                        echo ImageHelper::set($images[ 0 ]->getPath())
                                        ->fillResize(555, 555)
                                        ->quality(85)
                                        ->renderImage(
                                            [
                                                'class' => 'img-responsive',
                                                'alt'   => $model->lang->title,
                                                'title' => $model->lang->title,
                                            ]
                                        );
                    } else {
                        echo ImageHelper::set('@frontend/web/img/no-image.png')
                                        ->fillResize(555, 555)
                                        ->quality(85)
                                        ->renderImage(
                                            [
                                                'class' => 'img-responsive',
                                                'alt'   => $model->lang->title,
                                                'title' => $model->lang->title,
                                            ]
                                        );
                    }
                ?>
            </div>

              <?php
              if($model->is('new') || $model->is('akcia') || $model->is('top')){
              ?>
              <div class="status_wrapp">
                  <?php
                  if ($model->is('akcia')) {
                      ?>
                      <div class="ribbon sale">
                          <div class="theribbon">АКЦІЯ</div>
                          <div class="ribbon-background"></div>
                      </div>
                      <!-- /.ribbon -->
                      <?php
                  }
                  if ($model->is('new')) {
                      ?>
                      <div class="ribbon new">
                          <div class="theribbon">НОВЕ</div>
                          <div class="ribbon-background"></div>
                      </div>
                      <!-- /.ribbon -->
                      <?php
                  }
                  if ($model->is('top')) {
                      ?>
                      <div class="ribbon top">
                          <div class="theribbon">ТОП</div>
                          <div class="ribbon-background"></div>
                      </div>
                      <!-- /.ribbon -->
                      <?php
                  }
                  ?>
              </div>
              <?php } ?>

              <?php if(count($images) > 1) { ?>
            <div class="row" id="thumbs">
                <?php
                    if (!empty($images)) {
                        foreach ($images as $image) {
                            echo Html::tag(
                                'div',
                                Html::a(
                                    ImageHelper::set($image->getPath())
                                               ->fillResize(70, 60)
                                               ->quality(85)
                                               ->renderImage(
                                                   [
                                                       'class' => 'img-responsive',
                                                       'alt'   => $model->lang->title,
                                                       'title' => $model->lang->title,
                                                   ]
                                               ),
                                    ImageHelper::set($image->getPath())
                                               ->fillResize(555, 555)
                                               ->quality(85)
                                               ->render(),
                                    [
                                        'class' => 'thumb',
                                    ]
                                ),
                                [
                                    'class' => 'col-xs-2',
                                ]
                            );
                        }
                    } else {
                        echo Html::tag(
                            'div',
                            Html::a(
                                ImageHelper::set('@frontend/web/img/no-image.png')
                                           ->fillResize(70, 60)
                                           ->quality(85)
                                           ->renderImage(
                                               [
                                                   'class' => 'img-responsive',
                                                   'alt'   => $model->lang->title,
                                                   'title' => $model->lang->title,
                                               ]
                                           ),
                                ImageHelper::set('@frontend/web/img/no-image.png')
                                           ->fillResize(555, 555)
                                           ->quality(85)
                                           ->render(),
                                [
                                    'class' => 'thumb',
                                ]
                            ),
                            [
                                'class' => 'col-xs-2',
                            ]
                        );
                    }
                ?>
            </div>
              <?php } ?>

              <?php
                  if (!empty($model->video)) {
                      ?>
                    <div class="product-video">
                      <div class="h3">
                          <?php echo \Yii::t('app', 'Відеообзор продукта'); ?>
                      </div>
                      <div class="video-box">
                          <?php echo $model->video; ?>
                      </div>
                    </div>
                      <?php
                  }
              ?>
          </div>
          <div class="col-xs-12 col-sm-9 col-md-8">
            <div class="box">
              <h1><?php echo $model->lang->title; ?></h1>
              <p class="no-margin"><?php echo $variant->sku; ?><span class="product-id">Код: <?= $model->id ?></span>
              </p>
              <p class="price">
                <span class="price-title"><?=Yii::t('app','Price')?>:</span><?php echo $variant->price ? : 0; ?> грн&ensp;
                  <?php
                      if ($variant->canBuy()) {
                          echo Html::a(
                              Html::tag(
                                  'i',
                                  '',
                                  [
                                      'class' => 'fa fa-shopping-cart',
                                  ]
                              ) . \Yii::t('app', 'Додати у кошик'),
                              '#',
                              [
                                  'class'   => 'btn btn-success add-to-basket',
                                  'data-id' => $variant->id,
                              ]
                          );
                      } else {
                          echo Html::a(
                              \Yii::t('app', 'Немає в наявності'),
                              '#',
                              [
                                  'class'   => 'btn btn-info disabled',
                                  'data-id' => $variant->id,
                              ]
                          );
                      }
                  ?>
                  <?php
                      if (\Yii::$app->user->isGuest) {
                          echo Html::button(
                              Html::tag('i', '', [ 'class' => 'fa fa-heart-o' ]),
                              [
                                  'title' => 'Додати у обране',
                                  'data'  => [
                                      'toggle'    => 'tooltip',
                                      'placement' => 'top',
                                  ],
                                  'class' => 'btn btn-default pull-right disabled',
                              ]
                          );
                      } elseif (in_array($variant->id, \Yii::$app->user->identity->wishlist)) {
                          echo Html::button(
                              Html::tag('i', '', [ 'class' => 'fa fa-heart' ]),
                              [
                                  'title' => 'Видалити з обраного',
                                  'data'  => [
                                      'toggle'    => 'tooltip',
                                      'placement' => 'top',
                                      'product'   => $model->id,
                                      'variant'   => $variant->id,
                                      'user'      => \Yii::$app->user->identity->getId(),
                                      'url'       => Url::to([ 'product/wishlist-rm' ]),
                                  ],
                                  'class' => 'wishlist-rm btn btn-success pull-right',
                              ]
                          );
                      } else {
                          echo Html::button(
                              Html::tag('i', '', [ 'class' => 'fa fa-heart-o' ]),
                              [
                                  'title' => 'Додати у обране',
                                  'data'  => [
                                      'toggle'    => 'tooltip',
                                      'placement' => 'top',
                                      'product'   => $model->id,
                                      'variant'   => $variant->id,
                                      'user'      => \Yii::$app->user->identity->getId(),
                                      'url'       => Url::to([ 'product/wishlist-add' ]),
                                  ],
                                  'class' => 'wishlist-add btn btn-success pull-right',
                              ]
                          );
                      }
                  ?>
              </p>
              <div class="line-card"></div>
                <div class="row">
                    <?php
                        if ($variant->canBuy()) {
                            echo '<div class="col-xs-12 col-sm-4 card-buttons-wr">';
                            echo Html::a(
                                Html::icon(
                                    'phone',
                                    [
                                        'prefix' => 'fa fa-',
                                    ]
                                ) . \Yii::t('app', 'Купити в один клік'),
                                '#',
                                [
                                    'data'  => [
                                        'toggle' => 'modal',
                                        'target' => '#oneclick-modal',
                                    ],
                                    'class' => 'btn btn-template-main',
                                ]
                            );
                            echo '</div>';
                            echo '<div class="col-xs-12 col-sm-4 card-buttons-wr">';
                            echo Html::button(
                                Html::icon(
                                    'tags',
                                    [
                                        'prefix' => 'fa fa-',
                                    ]
                                ) . \Yii::t('app', 'Купити в кредит'),
                                [
                                    'class' => 'btn btn-template-main',
                                    'id'    => 't_buy_credit',
                                ]
                            );
                            echo '</div>';
                            echo '<div class="col-xs-12 col-sm-4 card-buttons-wr">';
                            echo Html::button(
                                Html::icon(
                                    'tags',
                                    [
                                        'prefix' => 'fa fa-',
                                    ]
                                ) . \Yii::t('app', 'Купити у розстрочку'),
                                [
                                    'class' => 'btn btn-template-main',
                                    'id'    => 't_buy_installment',
                                ]
                            );
                            echo '</div>';
                        }
                    ?>
                </div>

            </div>
            <div class="box" id="details">
              <h2><?php echo \Yii::t('app', 'Опис товару'); ?></h2>
                <?php echo $model->lang->description ? : \Yii::t('app', 'Немає опису'); ?>
            </div>
            
            <div class="box" id="details">
              <h2><?php echo \Yii::t('app', 'Характеристики'); ?></h2>
                <?php
                    if (!empty($groups)) {
                        ?>
                      <table class="table">
                        <tbody>
                            <?php
                                foreach ($groups as $group) {
                                    foreach ($group as $optionGroup) {
                                        /**
                                         * @var OptionGroup $optionGroup
                                         */
                                        echo Html::tag(
                                            'tr',
                                            Html::tag(
                                                'td',
                                                $optionGroup->lang->title,
                                                [ 'class' => 'td-title' ]
                                            ) . Html::tag(
                                                'td',
                                                implode(
                                                    ', ',
                                                    ArrayHelper::getColumn(
                                                        $optionGroup->currentOptions,
                                                        'lang.value'
                                                    )
                                                )
                                            )
                                        );
                                    }
                                }
                            ?>
                        </tbody>
                      </table>
                        <?php
                    } else {
                        echo \Yii::t('app', 'Немає характеристик');
                    }
                ?>
            </div>
          </div>
        </div>
          
          <?php
              if (!empty($similar)) {
                  ?>
                <div class="heading text-center">
                  <h2><?php echo \Yii::t('app', 'Схожі товари'); ?></h2>
                </div>
                
                <div class="product-carousel">
                  <div class="homepage owl-carousel">
                      <?php
                          $newItemsArrays = array_chunk($similar, 4);
                          foreach ($newItemsArrays as $newItemsArray) {
                              ?>
                            <div class="products sliders_">
                                <?php
                                    foreach ($newItemsArray as $product) {
                                        echo $this->render(
                                            '@frontend/views/site/_slider_product',
                                            [
                                                'product' => $product,
                                            ]
                                        );
                                    }
                                ?>
                            </div>
                              <?php
                          }
                      ?>
                  </div>
                </div>
                  <?php
              }
          ?>
      </div>
      <!-- /.col-md-9 -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container -->
</div>
<!-- /#content -->
<div class="modal fade" id="oneclick-modal" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-sm">
    
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title callback"><?php echo \Yii::t('app', 'Купити в один клік'); ?></h4>
      </div>
      <div class="modal-body">
          <?php
              $order = new Order(
                  [
                      'scenario'  => Order::SCENARIO_FAST,
                      'variantId' => $variant->id,
                      'returnUrl' => \Yii::$app->request->absoluteUrl,
                  ]
              );
              $form = ActiveForm::begin(
                  [
                      'action' => [ 'checkout/fast' ],
                      'id'     => 'fast-buy-form',
                  ]
              );
              echo $form->field($order, 'variantId')
                        ->label(false)
                        ->hiddenInput();
              echo $form->field($order, 'returnUrl')
                        ->label(false)
                        ->hiddenInput();
              echo $form->field($order, 'name')
                        ->label(Yii::t('app','name'))
                        ->textInput(
                            [
                                'placeholder' => $order->getAttributeLabel('name'),
                            ]
                        );
              echo $form->field($order, 'phone')
                        ->label(Yii::t('app','phone'))
                        ->textInput(
                            [
                                'placeholder' => $order->getAttributeLabel('phone'),
                            ]
                        );
              echo Html::tag(
                  'p',
                  Html::submitButton(
                      Html::icon(
                          'shopping-cart',
                          [
                              'prefix' => 'fa fa-',
                          ]
                      ) . \Yii::t('app', ' Відправити'),
                      [
                          'class' => 'btn btn-template-main',
                      ]
                  ),
                  [
                      'class' => 'text-center',
                  ]
              );
              $form::end();
          ?>
      </div>
    </div>
  </div>
</div>

<div
  class="Oziris_dialog"
  ProductCode="KS-POTREB"
  Line0Code="<?php echo $variant->sku; ?>"
  Line0Title="<?php echo urlencode($model->lang->title); ?>"
  Line0Price=<?php echo $variant->price ? : 0; ?>
></div>
