<?php
    use artbox\catalog\models\Brand;
    use artbox\catalog\models\Category;
    use artbox\catalog\models\Product;
    use artbox\core\components\SeoComponent;
    use artbox\core\helpers\ImageHelper;
    use artbox\weblog\models\Article;
    use yii\bootstrap\Html;
    use yii\helpers\Url;
    use yii\web\View;
    
    /**
     * @var View                    $this
     * @var Category[]              $categories
     * @var Product[]               $topItems
     * @var Product[]               $newItems
     * @var Product[]               $saleItems
     * @var int                     $brandCount
     * @var int                     $productCount
     * @var Brand[]                 $brands
     * @var SeoComponent            $seo
     * @var Article[]               $articles
     * @var \common\models\Slider[] $slider
     */
    $this->title = 'My Yii Application';
    $seo = Yii::$app->get('seo');
?>
<section class="category-carousel-box">
  <!-- *** HOMEPAGE CAROUSEL ***
_________________________________________________________ -->
  <div class="container">
    
    <div class="row">
      <div class="hidden-xs hidden-sm col-sm-3">
          <!-- если нет вложенности в меню то добавлять родительським li класс ".no-child-menu" -->
          <?php
              echo $this->render(
                  '@frontend/views/layouts/_category_menu',
                  [
                      'isHome' => true,
                  ]
              );
          ?>
      </div>
      
      <div class="col-xs-12 col-sm-12 col-md-9">
          <?php
              if (!empty($slider)) {
                  ?>
                <div class="home-carousel">
  
<!--                  <div class="dark-mask"></div>-->
  
  
                  <div class="main_slider sliders_">
                      <?php
                          foreach ($slider as $item) {
                              echo Html::tag(
                                  'div',
                                  Html::a(ImageHelper::set($item->image->getPath())->cropResize(848,384)->renderImage(), $item->link),
                                  [
                                      'class' => 'item',
                                  ]
                              );
                          }
                      ?>
                  </div>
                  <!-- /.project owl-slider -->
                </div>
                  <?php
              }
          ?>
      </div>
    </div>
  </div>
  <!-- *** HOMEPAGE CAROUSEL END *** -->
</section>


<section>
  <div class="container">
      <?php
          if (!empty($newItems)) {
              ?>
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    <div class="heading text-center">
                        <h2><?php echo \Yii::t('app', 'Новинки'); ?></h2>
                    </div>

                    <div class="product-carousel">
                        <div class="products sliders_">
                            <?php
                            $newItemsArrays = array_chunk($newItems, 4);
                            foreach ($newItemsArrays as $newItemsArray) {
                                ?>

                                <?php
                                foreach ($newItemsArray as $product) {
                                    echo $this->render(
                                        '_slider_product',
                                        [
                                            'product' => $product,
                                        ]
                                    );
                                }
                                ?>

                                <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
              <?php
          }
          if (!empty($saleItems)) {
              ?>
            <div class="row">
              <div class="col-xs-12 col-sm-12">
                <div class="heading text-center">
                  <h2><?php echo \Yii::t('app', 'Акції'); ?></h2>
                </div>
      
                <div class="product-carousel">
                  <div class="products sliders_">
                      <?php
                          $saleItemsArrays = array_chunk($saleItems, 4);
                          foreach ($saleItemsArrays as $saleItemsArray) {
                              ?>
                    
                              <?php
                              foreach ($saleItemsArray as $product) {
                                  echo $this->render(
                                      '_slider_product',
                                      [
                                          'product' => $product,
                                      ]
                                  );
                              }
                              ?>
                    
                              <?php
                          }
                      ?>
                  </div>
                </div>
              </div>
            </div>
              <?php
          }
          if (!empty($topItems)) {
              ?>
              <div class="row">
                  <div class="col-xs-12 col-sm-12">
                      <div class="heading text-center">
                          <h2><?php echo \Yii::t('app', 'Топ'); ?></h2>
                      </div>
                      <div class="product-carousel">
                          <div class="products sliders_">
                          <?php
                          $newItemsArrays = array_chunk($topItems, 4);
                          foreach ($newItemsArrays as $newItemsArray) {
                              ?>

                                  <?php
                                  foreach ($newItemsArray as $product) {
                                      echo $this->render(
                                          '_slider_product',
                                          [
                                              'product' => $product,
                                          ]
                                      );
                                  }
                                  ?>

                              <?php
                          }
                          ?>
                          </div>
                      </div>
                  </div>
              </div>
              <?php
          }
      ?>
  </div>
</section>

<section class="bar color-white no-mb">
  <div class="container">
    <div class="row showcase">
      <div class="col-md-4 col-sm-6">
        <div class="item">
          <div class="icon"><i class="fa fa-cubes"></i>
          </div>
          <h4><span class="counter"><?php echo $productCount; ?></span><br>

             Позицій товарів</h4>
        </div>
      </div>
      <div class="col-md-4 col-sm-6">
        <div class="item">
          <div class="icon"><i class="fa fa-tags"></i>
          </div>
          <h4><span class="counter"><?php echo $brandCount; ?></span><br>

             Брендів</h4>
        </div>
      </div>
      <div class="col-md-4 col-sm-6">
        <div class="item">
          <div class="icon"><i class="fa fa-copy"></i>
          </div>
          <h4><span class="counter">12</span> ... <span class="counter">36</span><br>

             Місяців гарантії </h4>
        </div>
      </div>
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container -->
</section>
<!-- /.bar -->
<?php
    if (!empty($brands)) {
        ?>
      <section class="bar background-gray no-mb">
        <div class="container">
          <div class="row">
            <div class="col-xs-12 col-sm-12">
              <div class="heading text-center">
                <h2><?php echo \Yii::t('app', 'Бренди'); ?></h2>
              </div>
              
              <ul class="sliders_ customers">
                  <?php
                      foreach ($brands as $brand) {
                          echo Html::tag(
                              'div',
                              Html::img(
                                  $brand->image->getUrl(),
                                  [
                                      'class' => 'img-responsive',
                                  ]
                              ),
                              [
                                  'class' => 'item',
                              ]
                          );
                      }
                  ?>
              </ul>
              <!-- /.owl-carousel -->
            </div>
          
          </div>
        </div>
      </section>
        <?php
    }
?>
<section class="bar background-white no-mb">
  <div class="container">
    
    <div class="row">
        <div class="col-md-12">
            <div class="heading text-center">
                <h2>Корисні статті</h2>
            </div>

            <!-- *** BLOG HOMEPAGE ***
      _________________________________________________________ -->

            <div class="row">

                <?php foreach ($articles as $article) { ?>
                    <div class="col-md-3 col-sm-6 team-member" data-animate="fadeInUp">
                        <div class="box-image-text blog">
                            <div class="top">
                                <div class="image">
                                    <?= ImageHelper::set(
                                        $article->image ? $article->image->getPath() : '@frontend/web/img/no-image.png'
                                    )
                                        ->cropResize(255, 192)
                                        ->quality(85)
                                        ->renderImage(
                                            [
                                                'class' => 'img-responsive',
                                                'alt'   => $article->lang->title,
                                            ]
                                        ) ?>
                                </div>
                                <div class="bg"></div>
                                <div class="text">
                                    <p class="buttons">
                                        <a href="<?= Url::to(
                                            [
                                                'blog/article',
                                                'id' => $article->id,
                                            ]
                                        ) ?>" class="btn btn-template-transparent-primary"><i class="fa fa-link"></i> <?php echo \Yii::t(
                                                'app',
                                                'Read more'
                                            ); ?></a>
                                    </p>
                                </div>
                            </div>
                            <div class="content">
                                <h4><a href="<?= Url::to(
                                        [
                                            'blog/article',
                                            'id' => $article->id,
                                        ]
                                    ) ?>"><?= $article->lang->title; ?></a></h4>
                                <?php if ( !empty($article->category) ) { ?>
                                <p class="author-category"><a href="<?= Url::to(
                                        [
                                            'blog/category',
                                            'id' => $article->category->id,
                                        ]
                                    ) ?>"><?= $article->category->lang->title ?></a>
                                    <?php } ?>
                                </p>
                                <p class="intro"><?= $article->lang->body_preview; ?></p>
                                <p class="read-more">
                                    <a href="<?= Url::to(
                                        [
                                            'blog/article',
                                            'id' => $article->id,
                                        ]
                                    ) ?>" class="btn btn-template-main"><?php echo \Yii::t('app', 'Continue reading'); ?></a>
                                </p>
                            </div>
                        </div>
                        <!-- /.box-image-text -->
                    </div>
                <?php } ?>

            </div>
            <!-- /.row -->

            <!-- *** BLOG HOMEPAGE END *** -->

        </div>
    </div>
  
  </div>
  <!-- /.container -->
</section>
<!-- /.bar -->

<?php if (!empty($seo->text)) { ?>
<section class="bar background-white no-mb">
  <div class="container">
    <div class="col-md-12">
        <?php echo $seo->text; ?>
    </div>
  </div>
</section>
<?php } ?>