<?php
    
    /* @var $this yii\web\View */
    /* @var $form yii\bootstrap\ActiveForm */
    /* @var $loginForm \common\models\LoginForm */
    /* @var $signupForm \common\models\SignupForm */
    
    use yii\bootstrap\ActiveForm;
    use yii\bootstrap\Html;
    use yii\helpers\Url;
    
    $this->title = \Yii::t('app', 'registration');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div id="content">
  <div class="container">
    
    <div class="row">
      <div class="col-md-6">
        <div class="box">
          <h2 class="text-uppercase"><?php echo \Yii::t('app', 'New account'); ?></h2>
          
          <p class="lead"><?php echo \Yii::t('app', 'Not registered yet?'); ?></p>
          <p class="text-muted"><?php echo \Yii::t(
                  'app',
                  'registration_text',
                  [
                      'link' => Html::a(
                          \Yii::t('app', 'write to us'),
                          [
                              'site/contact',
                          ]
                      ),
                  ]
              ); ?></p>
          
          <hr>
            
            <?php
                $formSignup = ActiveForm::begin();
                echo $formSignup->field($signupForm, 'username')
                                ->textInput();
                echo $formSignup->field($signupForm, 'email')
                                ->textInput();
                echo $formSignup->field($signupForm, 'password')
                                ->passwordInput();
                echo Html::tag(
                    'div',
                    Html::submitButton(
                        Html::icon(
                            'user-md',
                            [
                                'prefix' => 'fa fa-',
                            ]
                        ) . \Yii::t('app', 'Register now!'),
                        [
                            'class' => 'btn btn-template-main',
                        ]
                    ),
                    [
                        'class' => 'text-center',
                    ]
                );
                $formSignup::end();
            ?>
        </div>
      </div>
      
      <div class="col-md-6">
        <div class="box">
          <h2 class="text-uppercase"><?php echo \Yii::t('app', 'Enter'); ?></h2>
          
          <p class="lead"><?php echo \Yii::t('app', 'Already registered?'); ?></p>
          
          <hr>
            
            <?php
                $formLogin = ActiveForm::begin();
                echo $formLogin->field($loginForm, 'username')
                               ->textInput();
                echo $formLogin->field($loginForm, 'password')
                               ->passwordInput();
                echo $formLogin->field($loginForm, 'rememberMe')
                               ->checkbox();
                ?>
          <a class="restore_password_" href="<?= Url::to(
              [
                  '/site/request-password-reset',
      
              ]
          ) ?>"><?=Yii::t('app','Restore password')?></a>
          <?php
                echo Html::tag(
                    'div',
                    Html::submitButton(
                        Html::icon(
                            'sign-in',
                            [
                                'prefix' => 'fa fa-',
                            ]
                        ) . \Yii::t('app', 'Login'),
                        [
                            'class' => 'btn btn-template-main',
                        ]
                    ),
                    [
                        'class' => 'text-center',
                    ]
                );
                $formSignup::end();
            ?>
        </div>
      </div>
    
    </div>
    <!-- /.row -->
  
  </div>
  <!-- /.container -->
</div>